/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
import{registerKernel as n,util as e,backend_util as t,Fill as a,GatherNd as r,gather_util as u,Max as i,Multiply as s,SelectV2 as o,scatter_util as l,slice_util as p,buffer as d,SplitV as c,env as m,KernelBackend as f,DataStorage as h,engine as b,registerBackend as y}from"@tensorflow/tfjs-core";import w from"path";import g from"fs";var _,I;let k;function v(t){let a;n({kernelName:t,backendName:"wasm",setupFunc:function(n){a=n.wasm.cwrap(t,null,["number","number"])},kernelFunc:function(n){const{backend:t,inputs:{x:r}}=n,u=t.dataIdMap.get(r.dataId).id,i=t.makeOutput(r.shape,r.dtype),s=t.dataIdMap.get(i.dataId).id;return 0===e.sizeFromShape(i.shape)?i:(a(u,s),i)}})}function M(a,r,u){let i;n({kernelName:a,backendName:"wasm",setupFunc:function(n){i=n.wasm.cwrap(a,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(n){const{backend:s,inputs:o}=n,{a:l,b:p}=o,d=s.dataIdMap.get(l.dataId).id,c=s.dataIdMap.get(p.dataId).id,m=null!=u?u:l.dtype,f=t.assertAndGetBroadcastShape(l.shape,p.shape),h=s.makeOutput(f,m);if(0===e.sizeFromShape(f))return h;const b=new Uint8Array(new Int32Array(l.shape).buffer),y=new Uint8Array(new Int32Array(p.shape).buffer),w=s.dataIdMap.get(h.dataId).id,g=()=>i(d,b,l.shape.length,c,y,p.shape.length,_[l.dtype],w);if(r)return g(),h;const I=t.getBroadcastDims(l.shape,f),k=t.getBroadcastDims(p.shape,f),v=I.every((n,e)=>n===e),M=k.every((n,e)=>n===e);if(v&&M)return g(),h;throw new Error("Broadcasting along outer dims is not yet "+`supported for ${a}.`)}})}!function(n){n[n.float32=0]="float32",n[n.int32=1]="int32",n[n.bool=2]="bool",n[n.string=3]="string",n[n.complex64=4]="complex64"}(_||(_={})),function(n){n[n.linear=0]="linear",n[n.relu=1]="relu",n[n.relu6=2]="relu6",n[n.prelu=3]="prelu"}(I||(I={})),n({kernelName:"_FusedMatMul",backendName:"wasm",setupFunc:function(n){k=n.wasm.cwrap("_FusedMatMul",null,["number","array","number","number","array","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,backend:t,attrs:a}=n,{a:r,b:u,bias:i,preluActivationWeights:s}=e;if("float32"!==r.dtype||"float32"!==u.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");const{transposeA:o,transposeB:l,activation:p}=a,d=t.dataIdMap.get(r.dataId).id,c=t.dataIdMap.get(u.dataId).id;let m=0;if(null!=i){const n=t.dataIdMap.get(i.dataId);if(1!==n.shape.length)throw new Error("_FusedMatMul only supports rank-1 bias but got "+`rank ${n.shape.length}.`);m=n.id}const f=null==s?0:t.dataIdMap.get(s.dataId).id,h=I[p];if(null==h)throw new Error(`${p} activation not yet supported for FusedConv2D `+"in the wasm backend.");const b=o?r.shape[2]:r.shape[1],y=l?u.shape[1]:u.shape[2],w=r.shape[0],g=t.makeOutput([w,b,y],r.dtype),_=t.dataIdMap.get(g.dataId).id,v=new Uint8Array(new Int32Array(r.shape).buffer),M=new Uint8Array(new Int32Array(u.shape).buffer);return k(d,v,r.shape.length,c,M,u.shape.length,o,l,h,m,f,_),g}}),v("Abs");let A,F,S,x,N,C;function R(n){const{inputs:{x:e},attrs:{dtype:t},backend:a}=n,r=a.makeOutput(e.shape,t),u=a.typedArrayFromHeap(e);return a.typedArrayFromHeap(r).set(u),r}var E;let D,P;M("Add",!0),n({kernelName:"AddN",backendName:"wasm",setupFunc:function(n){A=n.wasm.cwrap("AddN",null,["array","number","number","number"])},kernelFunc:function(n){const{inputs:t,backend:a}=n,r=a.makeOutput(t[0].shape,t[0].dtype);if(0===e.sizeFromShape(r.shape))return r;const u=t.map(n=>a.dataIdMap.get(n.dataId).id),i=new Uint8Array(new Int32Array(u).buffer),s=a.dataIdMap.get(r.dataId).id;return A(i,u.length,_[r.dtype],s),r}}),n({kernelName:"ArgMax",backendName:"wasm",kernelFunc:function(n){const{inputs:{x:t},backend:a,attrs:{axis:r}}=n,u=t.shape.slice(0,-1),i=a.makeOutput(u,"int32"),s=a.dataIdMap.get(t.dataId).id,o=a.dataIdMap.get(i.dataId).id,l=e.sizeFromShape(i.shape),p=t.shape[r];return F(s,_[t.dtype],l,p,o),i},setupFunc:function(n){F=n.wasm.cwrap("ArgMax",null,["number","number","number","number","number"])}}),n({kernelName:"AvgPool",backendName:"wasm",setupFunc:function(n){S=n.wasm.cwrap("AvgPool",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:a,backend:r}=n,u=e.x,i=r.dataIdMap.get(u.dataId).id,{filterSize:s,strides:o,pad:l,dimRoundingMode:p}=a,d=t.computePool2DInfo(u.shape,s,o,1,l,p),c=d.filterHeight,m=d.filterWidth,f=d.padInfo.top,h=d.padInfo.right,b=d.padInfo.bottom,y=d.padInfo.left,w=d.strideHeight,g=d.strideWidth,_=d.inChannels;if("channelsLast"!==d.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+`${d.dataFormat}'. Please use 'channelsLast'.`);if(1!==d.dilationWidth||1!==d.dilationHeight)throw new Error("was backend only supports average pooling with dilation = [1, 1], "+`got [${d.dilationHeight}, ${d.dilationWidth}].`);const I=r.makeOutput(d.outShape,"float32"),k=r.dataIdMap.get(I.dataId).id;return S(i,u.shape[0],u.shape[1],u.shape[2],c,m,f,h,b,y,w,g,_,k),I}}),n({kernelName:"BatchMatMul",backendName:"wasm",setupFunc:function(n){x=n.wasm.cwrap("BatchMatMul",null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,backend:t,attrs:a}=n,{a:r,b:u}=e;if("float32"!==r.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");const{transposeA:i,transposeB:s}=a,o=t.dataIdMap.get(r.dataId).id,l=t.dataIdMap.get(u.dataId).id,p=i?r.shape[2]:r.shape[1],d=s?u.shape[1]:u.shape[2],c=r.shape[0],m=t.makeOutput([c,p,d],r.dtype),f=t.dataIdMap.get(m.dataId).id,h=new Uint8Array(new Int32Array(r.shape).buffer),b=new Uint8Array(new Int32Array(u.shape).buffer);return x(o,h,r.shape.length,l,b,u.shape.length,i,s,f),m}}),n({kernelName:"Cast",backendName:"wasm",kernelFunc:R}),n({kernelName:"ClipByValue",backendName:"wasm",setupFunc:function(n){N=n.wasm.cwrap("ClipByValue",null,["number","number","number","number"])},kernelFunc:function(n){const{inputs:e,backend:t,attrs:a}=n,{x:r}=e,{min:u,max:i}=a,s=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(r.shape,"float32"),l=t.dataIdMap.get(o.dataId).id;return N(s,u,i,l),o}}),n({kernelName:"Concat",backendName:"wasm",kernelFunc:function(n){const{inputs:a,backend:r}=n,u=e.parseAxisParam(n.attrs.axis,a[0].shape)[0],i=t.computeOutShape(a.map(n=>n.shape),u),s=r.makeOutput(i,a[0].dtype),o=e.sizeFromShape(a[0].shape.slice(0,u));let l=0;const p=a.map(n=>{const t=e.sizeFromShape(n.shape.slice(u));return l+=t,t}),d=a.map(n=>r.typedArrayFromHeap(n)),c=r.typedArrayFromHeap(s);for(let n=0;n<o;n++){let e=n*l;for(let t=0;t<d.length;t++){const a=p[t],r=n*a,u=d[t].subarray(r,r+a);c.set(u,e),e+=a}}return s}}),n({kernelName:"Conv2D",backendName:"wasm",setupFunc:function(n){C=n.wasm.cwrap("Conv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:a,backend:r}=n,{x:u,filter:i}=e,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,{strides:l,dilations:p,pad:d,dimRoundingMode:c,dataFormat:m}=a,f=t.convertConv2DDataFormat(m),h=t.computeConv2DInfo(u.shape,i.shape,l,p,d,c,!1,f),b=h.filterHeight,y=h.filterWidth,w=h.padInfo.top,g=h.padInfo.right,_=h.padInfo.bottom,I=h.padInfo.left,k=h.dilationHeight,v=h.dilationWidth,M=h.strideHeight,A=h.strideWidth,F=h.inChannels,S=h.outChannels,x="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+`${h.dataFormat}'. Please use 'channelsLast'.`);const N=r.makeOutput(h.outShape,"float32"),R=r.dataIdMap.get(N.dataId).id;return C(s,u.shape[0],u.shape[1],u.shape[2],o,b,y,w,g,_,I,x,k,v,M,A,F,S,R),N}}),v("Cos"),function(n){n[n.bilinear=0]="bilinear",n[n.nearest=1]="nearest"}(E||(E={})),n({kernelName:"CropAndResize",backendName:"wasm",setupFunc:function(n){D=n.wasm.cwrap("CropAndResize",null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(n){const{backend:e,inputs:t,attrs:a}=n,{method:r,extrapolationValue:u,cropSize:i}=a,{images:s,boxes:o,boxInd:l}=t,p=o.shape[0],[d,c]=i,m=[p,d,c,s.shape[3]];let f,h=e.dataIdMap.get(s.dataId);"float32"!==s.dtype&&(f=R({backend:e,inputs:{x:s},attrs:{dtype:"float32"}}),h=e.dataIdMap.get(f.dataId));const b=h.id,y=e.dataIdMap.get(o.dataId).id,w=e.dataIdMap.get(l.dataId).id,g=e.makeOutput(m,"float32"),_=e.dataIdMap.get(g.dataId).id,I=new Uint8Array(new Int32Array(s.shape).buffer);return D(b,y,w,p,I,d,c,E[r],u,_),null!=f&&e.disposeData(f.dataId),g}}),n({kernelName:"DepthwiseConv2dNative",backendName:"wasm",setupFunc:function(n){P=n.wasm.cwrap("DepthwiseConv2dNative",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:a,backend:r}=n,{x:u,filter:i}=e,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,{strides:l,dilations:p,pad:d,dimRoundingMode:c}=a,m=null==p?[1,1]:p,f=t.computeConv2DInfo(u.shape,i.shape,l,m,d,c,!0),h=f.filterHeight,b=f.filterWidth,y=f.padInfo.top,w=f.padInfo.right,g=f.padInfo.bottom,_=f.padInfo.left,I=f.dilationHeight,k=f.dilationWidth,v=f.strideHeight,M=f.strideWidth,A=f.inChannels,F=f.outChannels,S="SAME"===f.padInfo.type?1:0;if("channelsLast"!==f.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+`${f.dataFormat}'. Please use 'channelsLast'.`);const x=r.makeOutput(f.outShape,"float32"),N=r.dataIdMap.get(x.dataId).id;return P(s,u.shape[0],u.shape[1],u.shape[2],o,h,b,y,w,g,_,S,I,k,v,M,A,F,N),x}});M("Div",!1),v("Exp"),n({kernelName:a,backendName:"wasm",kernelFunc:function(n){const{attrs:{shape:e,value:t,dtype:a},backend:r}=n,u=r.makeOutput(e,a);return r.typedArrayFromHeap(u).fill(t),u}});let O,z,H,W,U;M("FloorDiv",!1),n({kernelName:"FusedBatchNorm",backendName:"wasm",setupFunc:function(n){O=n.wasm.cwrap("FusedBatchNorm",null,["number","number","number","number","number","number","number"])},kernelFunc:function(n){const{backend:t,inputs:a,attrs:r}=n,{varianceEpsilon:u}=r,{x:i,mean:s,variance:o,offset:l,scale:p}=a,d=t.dataIdMap.get(i.dataId).id,c=t.dataIdMap.get(s.dataId).id,m=t.dataIdMap.get(o.dataId).id,f=null!=l?t.dataIdMap.get(l.dataId).id:0,h=null!=p?t.dataIdMap.get(p.dataId).id:0,b=t.makeOutput(i.shape,i.dtype);if(0===e.sizeFromShape(i.shape))return b;const y=t.dataIdMap.get(b.dataId).id;return O(d,c,m,f,h,u,y),b}}),n({kernelName:"FusedConv2D",backendName:"wasm",setupFunc:function(n){z=n.wasm.cwrap("FusedConv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:t,backend:a}=n,{convInfo:r,activation:u}=t,i=I[u];if(null==i)throw new Error(`${u} activation not yet supported for FusedConv2D `+"in the wasm backend.");const{x:s,filter:o,bias:l,preluActivationWeights:p}=e,d=a.dataIdMap.get(s.dataId).id,c=a.dataIdMap.get(o.dataId).id,m=r.outChannels;let f=0;if(null!=l){const n=a.dataIdMap.get(l.dataId);if(1!==n.shape.length)throw new Error("FusedConv2D only supports rank-1 bias but got "+`rank ${n.shape.length}.`);if(n.shape[0]!==m)throw new Error(`FusedConv2D bias shape (${n.shape}) does not `+`match the number of output channels (${m})`);f=n.id}const h=r.filterHeight,b=r.filterWidth,y=r.padInfo.top,w=r.padInfo.right,g=r.padInfo.bottom,_=r.padInfo.left,k=r.dilationHeight,v=r.dilationWidth,M=r.strideHeight,A=r.strideWidth,F=r.inChannels,S="SAME"===r.padInfo.type?1:0,x=r.batchSize,N=r.inHeight,C=r.inWidth;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+`${r.dataFormat}'. Please use 'channelsLast'.`);const R=a.makeOutput(r.outShape,"float32"),E=a.dataIdMap.get(R.dataId).id,D=null==p?0:a.dataIdMap.get(p.dataId).id;return z(d,x,N,C,c,h,b,f,y,w,g,_,S,k,v,M,A,F,m,i,D,E),R}}),n({kernelName:"FusedDepthwiseConv2D",backendName:"wasm",setupFunc:function(n){H=n.wasm.cwrap("FusedDepthwiseConv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:t,backend:a}=n,{convInfo:r,activation:u}=t,i=I[u];if(null==i)throw new Error(`${u} activation not yet supported for FusedDepthwiseConv2D `+"in the wasm backend.");const{x:s,filter:o,bias:l,preluActivationWeights:p}=e,d=a.dataIdMap.get(s.dataId).id,c=a.dataIdMap.get(o.dataId).id,m=r.outChannels;let f=0;if(null!=l){const n=a.dataIdMap.get(l.dataId);if(1!==n.shape.length)throw new Error("FusedDepthwiseConv2D only supports rank-1 bias but got "+`rank ${n.shape.length}.`);if(n.shape[0]!==m)throw new Error(`FusedDepthwiseConv2D bias shape (${n.shape}) does not `+`match the number of output channels (${m})`);f=n.id}const h=r.filterHeight,b=r.filterWidth,y=r.padInfo.top,w=r.padInfo.right,g=r.padInfo.bottom,_=r.padInfo.left,k=r.dilationHeight,v=r.dilationWidth,M=r.strideHeight,A=r.strideWidth,F=r.inChannels,S="SAME"===r.padInfo.type?1:0,x=r.batchSize,N=r.inHeight,C=r.inWidth;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+`${r.dataFormat}'. Please use 'channelsLast'.`);const R=a.makeOutput(r.outShape,"float32"),E=a.dataIdMap.get(R.dataId).id,D=null==p?0:a.dataIdMap.get(p.dataId).id;return H(d,x,N,C,c,h,b,f,y,w,g,_,S,k,v,M,A,F,m,i,D,E),R}}),n({kernelName:"Gather",backendName:"wasm",setupFunc:function(n){W=n.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(n){const{backend:t,inputs:a,attrs:r}=n,{x:u,indices:i}=a,{axis:s}=r,o=u.shape.slice();o[s]=e.sizeFromShape(i.shape);const l=u.shape.length-1,p=t.makeOutput(o,u.dtype);if(0===e.sizeFromShape(u.shape))return p;const d=t.dataIdMap.get(u.dataId).id,c=t.dataIdMap.get(i.dataId).id,m=t.dataIdMap.get(p.dataId).id,f=new Uint8Array(new Int32Array(e.computeStrides(u.shape)).buffer),h=new Uint8Array(new Int32Array(e.computeStrides(o)).buffer);return W(d,_[u.dtype],f,l,c,s,h,m),p}}),n({kernelName:r,backendName:"wasm",setupFunc:function(n){U=n.wasm.cwrap("GatherNd",null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(n){const{backend:e,inputs:t}=n,{params:a,indices:r}=t,[i,s,o,l]=u.prepareAndValidate(a,r),p=e.makeOutput(i,a.dtype);if(0===s)return p;const d=r.shape,c=d[d.length-1],m=e.dataIdMap.get(a.dataId).id,f=e.dataIdMap.get(r.dataId).id,h=new Uint8Array(new Int32Array(l).buffer),b=e.dataIdMap.get(p.dataId).id;return U(m,_[a.dtype],f,s,c,o,h,b),p}});M("Greater",!1,"bool");M("GreaterEqual",!1,"bool");M("Less",!1,"bool");M("LessEqual",!1,"bool"),v("Log");let T,B;function L(n){const{inputs:e,backend:t,attrs:a}=n,[r,u]=function(n,e){const t=[],a=[];for(let r=0;r<n.length;++r)1!==n[r]&&t.push(n[r]),1!==n[e[r]]&&a.push(e[r]);for(let n=0;n<a.length;++n){let e=-1;for(let t=0;t<a.length;++t)a[t]>=n&&(-1===e||a[e]>a[t])&&(e=t);a[e]=n}return[t,a]}(e.x.shape,a.perm),i={dataId:e.x.dataId,shape:r,dtype:e.x.dtype};let s=!0;for(let n=0;n<u.length;n++)u[n]!==n&&(s=!1);const o=function(n,e){const t=new Array(n.length);for(let a=0;a<t.length;a++)t[a]=n[e[a]];return t}(e.x.shape,a.perm);if(s)return{dataId:i.dataId,shape:o,dtype:i.dtype};const l=t.makeOutput(o,i.dtype),p=t.dataIdMap.get(i.dataId).id,d=t.dataIdMap.get(l.dataId).id,c=new Uint8Array(new Int32Array(u).buffer),m=new Uint8Array(new Int32Array(i.shape).buffer);return T(p,m,i.shape.length,_[i.dtype],d,c,u.length),l}M("LogicalAnd",!1,"bool"),n({kernelName:"Transpose",backendName:"wasm",kernelFunc:L,setupFunc:function(n){T=n.wasm.cwrap("Transpose",null,["number","array","number","number","number","array","number"])}}),n({kernelName:i,backendName:"wasm",setupFunc:function(n){B=n.wasm.cwrap("Max",null,["number, number, number"])},kernelFunc:function(n){const{backend:a,inputs:r,attrs:u}=n,{reductionIndices:i}=u,{x:s}=r,o=a.dataIdMap.get(s.dataId).id;let l=s.shape;const p=s.shape.length,d=a.typedArrayFromHeap(s);let c=e.parseAxisParam(i,l);const m=t.getAxesPermutation(c,p);if(null!=m){const n=new Array(p);for(let e=0;e<n.length;e++)n[e]=l[m[e]];c=t.getInnerMostAxes(c.length,p);const e=L({inputs:{x:s},attrs:{perm:m},backend:a});if(a.dataIdMap.get(e.dataId).id!==o){const n=a.typedArrayFromHeap(e);d.set(n,0),a.disposeData(e.dataId)}l=n}t.assertAxesAreInnerMostDims("max",c,p);const[f,h]=t.computeOutAndReduceShapes(l,c),b=e.sizeFromShape(h),y=a.makeOutput(f,s.dtype);if(0===e.sizeFromShape(l))return y;const w=a.dataIdMap.get(y.dataId).id;return B(o,b,w),y}});let q,V;M("Maximum",!1),n({kernelName:"MaxPool",backendName:"wasm",setupFunc:function(n){q=n.wasm.cwrap("MaxPool",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{inputs:e,attrs:a,backend:r}=n,u=e.x,i=r.dataIdMap.get(u.dataId).id,{filterSize:s,strides:o,pad:l,dimRoundingMode:p}=a,d=t.computePool2DInfo(u.shape,s,o,1,l,p),c=d.filterHeight,m=d.filterWidth,f=d.padInfo.top,h=d.padInfo.right,b=d.padInfo.bottom,y=d.padInfo.left,w=d.dilationHeight,g=d.dilationWidth,_=d.strideHeight,I=d.strideWidth,k=d.inChannels,v=d.outChannels;if("channelsLast"!==d.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+`${d.dataFormat}'. Please use 'channelsLast'.`);const M=r.makeOutput(d.outShape,"float32"),A=r.dataIdMap.get(M.dataId).id;return q(i,u.shape[0],u.shape[1],u.shape[2],c,m,f,h,b,y,w,g,_,I,k,v,A),M}}),n({kernelName:"Min",backendName:"wasm",setupFunc:function(n){V=n.wasm.cwrap("Min",null,["number, number, number"])},kernelFunc:function(n){const{backend:a,inputs:r,attrs:u}=n,{axes:i}=u,{x:s}=r,o=a.dataIdMap.get(s.dataId).id;t.assertAxesAreInnerMostDims("min",i,s.shape.length);const[l,p]=t.computeOutAndReduceShapes(s.shape,i),d=e.sizeFromShape(p),c=a.makeOutput(l,s.dtype);if(0===e.sizeFromShape(s.shape))return c;const m=a.dataIdMap.get(c.dataId).id;return V(o,d,m),c}});M("Minimum",!1);function j(n,e){const t=new Int32Array(n.wasm.HEAPU8.buffer,e,3),a=t[0],r=t[1],u=t[2];return n.wasm._free(e),{pSelectedIndices:a,selectedSize:r,pSelectedScores:u}}let G,$;M(s,!0),v("Neg"),n({kernelName:"NonMaxSuppressionV3",backendName:"wasm",setupFunc:function(n){G=n.wasm.cwrap("NonMaxSuppressionV3","number",["number","number","number","number","number"])},kernelFunc:function(n){const{backend:e,inputs:t,attrs:a}=n,{iouThreshold:r,maxOutputSize:u,scoreThreshold:i}=a,{boxes:s,scores:o}=t,l=e.dataIdMap.get(s.dataId).id,p=e.dataIdMap.get(o.dataId).id,d=G(l,p,u,r,i),{pSelectedIndices:c,selectedSize:m,pSelectedScores:f}=j(e,d);return e.wasm._free(f),e.makeOutput([m],"int32",c)}}),n({kernelName:"NonMaxSuppressionV5",backendName:"wasm",setupFunc:function(n){$=n.wasm.cwrap("NonMaxSuppressionV5","number",["number","number","number","number","number","number"])},kernelFunc:function(n){const{backend:e,inputs:t,attrs:a}=n,{iouThreshold:r,maxOutputSize:u,scoreThreshold:i,softNmsSigma:s}=a,{boxes:o,scores:l}=t,p=e.dataIdMap.get(o.dataId).id,d=e.dataIdMap.get(l.dataId).id,c=$(p,d,u,r,i,s),{pSelectedIndices:m,selectedSize:f,pSelectedScores:h}=j(e,c);return[e.makeOutput([f],"int32",m),e.makeOutput([f],"float32",h)]}});let X;M("NotEqual",!1,"bool"),n({kernelName:"OnesLike",backendName:"wasm",kernelFunc:function(n){const{inputs:{x:e},backend:t}=n,a=t.makeOutput(e.shape,e.dtype);return t.typedArrayFromHeap(a).fill(1),a}}),n({kernelName:"PadV2",backendName:"wasm",kernelFunc:function(n){const{inputs:{x:e},backend:t,attrs:{paddings:a,constantValue:r}}=n,u=a.map((n,t)=>n[0]+e.shape[t]+n[1]),i=t.dataIdMap.get(e.dataId).id,s=t.makeOutput(u,e.dtype),o=t.dataIdMap.get(s.dataId).id,l=new Uint8Array(new Int32Array(e.shape).buffer),p=[].concat(...a),d=new Uint8Array(new Int32Array(p).buffer);return X(i,l,e.shape.length,_[e.dtype],d,r,o),s},setupFunc:function(n){X=n.wasm.cwrap("PadV2",null,["number","array","number","number","array","number","number"])}});let Y,Z,J,K,Q,nn;function en(n){const{inputs:{x:t},attrs:{begin:a,size:r},backend:u}=n,i=p.isSliceContinous(t.shape,a,r),s=u.typedArrayFromHeap(t),o=u.makeOutput(r,t.dtype),l=u.typedArrayFromHeap(o),c=e.computeStrides(t.shape);if(i){const n=p.computeFlatOffset(a,c);return l.set(s.subarray(n,n+e.sizeFromShape(r))),o}const m=t.shape.length;return 2===m?function(n,e,t,a,r){let u=0;const i=a[0],s=a[1],o=i+r[0];for(let a=i;a<o;a++){const i=a*e+s;t.set(n.subarray(i,i+r[1]),u),u+=r[1]}}(s,c[0],l,a,r):3===m?function(n,e,t,a,r,u){let i=0;const s=r[0],o=r[1],l=r[2],p=s+u[0],d=o+u[1];for(let r=s;r<p;r++)for(let s=o;s<d;s++){const o=r*e+s*t+l;a.set(n.subarray(o,o+u[2]),i),i+=u[2]}}(s,c[0],c[1],l,a,r):4===m?function(n,e,t,a,r,u,i){let s=0;const o=u[0],l=u[1],p=u[2],d=o+i[0],c=l+i[1],m=p+i[2],f=u[3];for(let u=o;u<d;u++)for(let o=l;o<c;o++)for(let l=p;l<m;l++){const p=u*e+o*t+l*a+f;r.set(n.subarray(p,p+i[3]),s),s+=i[3]}}(s,c[0],c[1],c[2],l,a,r):function(n,e,t,a,r){const u=d(r,e.dtype,t),i=d(e.shape,e.dtype,n);for(let n=0;n<u.size;++n){const e=u.indexToLoc(n).map((n,e)=>n+a[e]);t[n]=i.get(...e)}}(s,t,l,a,r),o}M("Pow",!1),n({kernelName:"Prelu",backendName:"wasm",setupFunc:function(n){Y=n.wasm.cwrap("Prelu",null,["number","number","number"])},kernelFunc:function(n){const{inputs:e,backend:t}=n,{x:a,alpha:r}=e,u=t.dataIdMap.get(a.dataId).id,i=t.dataIdMap.get(r.dataId).id,s=t.makeOutput(a.shape,"float32"),o=t.dataIdMap.get(s.dataId).id;return Y(u,i,o),s}}),v("Relu"),v("Relu6"),n({kernelName:"Reshape",backendName:"wasm",kernelFunc:function(n){const{inputs:{x:e},attrs:{shape:t}}=n;return{dataId:e.dataId,shape:t,dtype:e.dtype}}}),n({kernelName:"ResizeBilinear",backendName:"wasm",setupFunc:function(n){Z=n.wasm.cwrap("ResizeBilinear",null,["number","number","number","number","number","number","number","number","number"])},kernelFunc:function(n){const{backend:t,inputs:a,attrs:r}=n,{x:u}=a,{alignCorners:i,newHeight:s,newWidth:o}=r,[l,p,d,c]=u.shape,m=[l,s,o,c];let f,h=t.dataIdMap.get(u.dataId);"float32"!==h.dtype&&(f=R({backend:t,inputs:{x:u},attrs:{dtype:"float32"}}),h=t.dataIdMap.get(f.dataId));const b=h.id,y=t.makeOutput(m,"float32");if(0===e.sizeFromShape(u.shape))return y;const w=t.dataIdMap.get(y.dataId).id;return Z(b,l,p,d,c,s,o,i?1:0,w),null!=f&&t.disposeData(f.dataId),y}}),v("Rsqrt"),n({kernelName:o,backendName:"wasm",kernelFunc:function(n){const{inputs:t,backend:a}=n,{condition:r,t:u,e:i}=t,s=a.dataIdMap.get(r.dataId).id,o=a.dataIdMap.get(u.dataId).id,l=a.dataIdMap.get(i.dataId).id,p=a.makeOutput(u.shape,u.dtype),d=a.dataIdMap.get(p.dataId).id,c=r.shape.length,m=u.shape.length,f=0===c||c>1||1===m?1:e.sizeFromShape(u.shape.slice(1));return J(s,o,l,f,d),p},setupFunc:function(n){J=n.wasm.cwrap(o,null,["number","number","number","number","number"])}}),n({kernelName:"ScatterNd",backendName:"wasm",setupFunc:function(n){K=n.wasm.cwrap("ScatterNd",null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(n){const{backend:t,inputs:a,attrs:r}=n,{indices:u,updates:i}=a,{shape:s}=r,o=t.makeOutput(s,i.dtype);if(0===e.sizeFromShape(s))return o;const{sliceRank:p,numUpdates:d,sliceSize:c,strides:m,outputSize:f}=l.calculateShapes(i,u,s),h=t.dataIdMap.get(u.dataId).id,b=t.dataIdMap.get(i.dataId).id,y=new Uint8Array(new Int32Array(m).buffer),w=t.dataIdMap.get(o.dataId).id;return K(h,b,_[i.dtype],p,d,c,y,f,w),o}}),n({kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(n){Q=n.wasm.cwrap("Sigmoid",null,["number","number"])},kernelFunc:function(n){const{backend:t,inputs:{x:a}}=n,r=t.dataIdMap.get(a.dataId).id,u=t.makeOutput(a.shape,a.dtype),i=t.dataIdMap.get(u.dataId).id;return 0===e.sizeFromShape(u.shape)?u:(Q(r,i),u)}}),v("Sin"),n({kernelName:"Slice",backendName:"wasm",kernelFunc:en}),n({kernelName:"Softmax",backendName:"wasm",setupFunc:function(n){nn=n.wasm.cwrap("Softmax",null,["number","number","number","number"])},kernelFunc:function(n){const{backend:t,inputs:{logits:a},attrs:{dim:r}}=n,u=t.dataIdMap.get(a.dataId).id,i=t.makeOutput(a.shape,a.dtype),s=t.dataIdMap.get(i.dataId).id,o=a.shape[r],l=e.sizeFromShape(a.shape)/o;return 0===e.sizeFromShape(i.shape)?i:(nn(u,s,o,l),i)}}),n({kernelName:c,backendName:"wasm",kernelFunc:function(n){const{inputs:t,attrs:a,backend:r}=n,{x:u}=t,{numOrSizeSplits:i,axis:s}=a,o=e.parseAxisParam(s,u.shape)[0];let l;l="number"==typeof i?new Array(i).fill(u.shape[o]/i):i;const p=new Array(u.shape.length).fill(0),d=u.shape.slice();return l.map(n=>{const e=[...d];e[o]=n;const t=en({inputs:{x:u},attrs:{begin:p,size:e},backend:r});return p[o]+=n,t})}}),v("Sqrt"),v("Square");let tn,an;function rn(n,e){return n(e={exports:{}},e.exports),e.exports}M("Sub",!0),n({kernelName:"Sum",backendName:"wasm",setupFunc:function(n){tn=n.wasm.cwrap("Sum",null,["number, number, number"])},kernelFunc:function(n){const{backend:a,inputs:r,attrs:u}=n,{axes:i}=u,{x:s}=r,o=a.dataIdMap.get(s.dataId).id;t.assertAxesAreInnerMostDims("sum",i,s.shape.length);const[l,p]=t.computeOutAndReduceShapes(s.shape,i),d=e.sizeFromShape(p),c=a.makeOutput(l,s.dtype);if(0===e.sizeFromShape(s.shape))return c;const m=a.dataIdMap.get(c.dataId).id;return tn(o,d,m),c}}),v("Tanh"),n({kernelName:"Tile",backendName:"wasm",setupFunc:function(n){an=n.wasm.cwrap("Tile",null,["number","array","number","array","number","number"])},kernelFunc:function(n){const{inputs:e,backend:t,attrs:a}=n,{x:r}=e,u=t.dataIdMap.get(r.dataId).id,{reps:i}=a,s=new Array(r.shape.length);for(let n=0;n<s.length;n++)s[n]=r.shape[n]*i[n];const o=new Uint8Array(new Int32Array(r.shape).buffer),l=new Uint8Array(new Int32Array(s).buffer),p=t.makeOutput(s,r.dtype),d=t.dataIdMap.get(p.dataId).id;return an(u,o,r.shape.length,l,s.length,_[p.dtype],d),p}}),n({kernelName:"Unpack",backendName:"wasm",kernelFunc:function(n){const{inputs:{x:e},backend:t,attrs:{axis:a}}=n,r=e.shape[a],u=e.shape.length,i=new Array(u-1);let s=0;for(let n=0;n<u;n++)n!==a&&(i[s++]=e.shape[n]);const o=new Array(r),l=new Array(u).fill(0),p=e.shape.slice();p[a]=1;for(let n=0;n<o.length;n++)l[a]=n,o[n]=en({inputs:{x:e},attrs:{begin:l,size:p},backend:t});return o.map(({dataId:n,dtype:e})=>({dataId:n,dtype:e,shape:i}))}}),n({kernelName:"ZerosLike",backendName:"wasm",kernelFunc:function(n){const{inputs:{x:e},backend:t}=n,a=t.makeOutput(e.shape,e.dtype);return t.typedArrayFromHeap(a).fill(0),a}}),m().registerFlag("WASM_HAS_SIMD_SUPPORT",async()=>WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11])));var un=rn((function(n,e){var t,a=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(n){var e,a=void 0!==(n=n||{})?n:{},r={};for(e in a)a.hasOwnProperty(e)&&(r[e]=a[e]);var u=!1,i=!1,s=!1,o=!1;u="object"==typeof window,i="function"==typeof importScripts,s="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,o=!u&&!s&&!i;var l,p,d,c,m="";function f(n){return a.locateFile?a.locateFile(n,m):m+n}s?(m=i?w.dirname(m)+"/":__dirname+"/",l=function(n,e){return d||(d=g),c||(c=w),n=c.normalize(n),d.readFileSync(n,e?null:"utf8")},p=function(n){var e=l(n,!0);return e.buffer||(e=new Uint8Array(e)),v(e.buffer),e},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(n){if(!(n instanceof On))throw n})),process.on("unhandledRejection",on),a.inspect=function(){return"[Emscripten Module object]"}):o?("undefined"!=typeof read&&(l=function(n){return read(n)}),p=function(n){var e;return"function"==typeof readbuffer?new Uint8Array(readbuffer(n)):(v("object"==typeof(e=read(n,"binary"))),e)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(u||i)&&(i?m=self.location.href:document.currentScript&&(m=document.currentScript.src),t&&(m=t),m=0!==m.indexOf("blob:")?m.substr(0,m.lastIndexOf("/")+1):"",l=function(n){var e=new XMLHttpRequest;return e.open("GET",n,!1),e.send(null),e.responseText},i&&(p=function(n){var e=new XMLHttpRequest;return e.open("GET",n,!1),e.responseType="arraybuffer",e.send(null),new Uint8Array(e.response)}));var h,b,y=a.print||console.log.bind(console),_=a.printErr||console.warn.bind(console);for(e in r)r.hasOwnProperty(e)&&(a[e]=r[e]);r=null,a.arguments&&a.arguments,a.thisProgram&&a.thisProgram,a.quit&&a.quit,a.wasmBinary&&(h=a.wasmBinary),a.noExitRuntime&&a.noExitRuntime,"object"!=typeof WebAssembly&&_("no native wasm support detected");var I=new WebAssembly.Table({initial:108,maximum:108,element:"anyfunc"}),k=!1;function v(n,e){n||on("Assertion failed: "+e)}function M(n){var e=a["_"+n];return v(e,"Cannot call unknown function "+n+", make sure it is exported"),e}function A(n,e,t,a,r){var u={string:function(n){var e=0;if(null!=n&&0!==n){var t=1+(n.length<<2);R(n,e=Dn(t),t)}return e},array:function(n){var e=Dn(n.length);return E(n,e),e}},i=M(n),s=[],o=0;if(a)for(var l=0;l<a.length;l++){var p=u[t[l]];p?(0===o&&(o=En()),s[l]=p(a[l])):s[l]=a[l]}var d=i.apply(null,s);return d=function(n){return"string"===e?N(n):"boolean"===e?Boolean(n):n}(d),0!==o&&Pn(o),d}function F(n,e,t,a){var r=(t=t||[]).every((function(n){return"number"===n}));return"string"!==e&&r&&!a?M(n):function(){return A(n,e,t,arguments)}}var S="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function x(n,e,t){for(var a=e+t,r=e;n[r]&&!(r>=a);)++r;if(r-e>16&&n.subarray&&S)return S.decode(n.subarray(e,r));for(var u="";e<r;){var i=n[e++];if(128&i){var s=63&n[e++];if(192!=(224&i)){var o=63&n[e++];if((i=224==(240&i)?(15&i)<<12|s<<6|o:(7&i)<<18|s<<12|o<<6|63&n[e++])<65536)u+=String.fromCharCode(i);else{var l=i-65536;u+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else u+=String.fromCharCode((31&i)<<6|s)}else u+=String.fromCharCode(i)}return u}function N(n,e){return n?x(O,n,e):""}function C(n,e,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<n.length;++i){var s=n.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&n.charCodeAt(++i)),s<=127){if(t>=u)break;e[t++]=s}else if(s<=2047){if(t+1>=u)break;e[t++]=192|s>>6,e[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;e[t++]=224|s>>12,e[t++]=128|s>>6&63,e[t++]=128|63&s}else{if(t+3>=u)break;e[t++]=240|s>>18,e[t++]=128|s>>12&63,e[t++]=128|s>>6&63,e[t++]=128|63&s}}return e[t]=0,t-r}function R(n,e,t){return C(n,O,e,t)}function E(n,e){P.set(n,e)}var D,P,O,z,H=65536;function W(n,e){return n%e>0&&(n+=e-n%e),n}function U(n){D=n,a.HEAP8=P=new Int8Array(n),a.HEAP16=new Int16Array(n),a.HEAP32=z=new Int32Array(n),a.HEAPU8=O=new Uint8Array(n),a.HEAPU16=new Uint16Array(n),a.HEAPU32=new Uint32Array(n),a.HEAPF32=new Float32Array(n),a.HEAPF64=new Float64Array(n)}var T=5253952,B=10912,L=a.INITIAL_MEMORY||16777216;function q(n){for(;n.length>0;){var e=n.shift();if("function"!=typeof e){var t=e.func;"number"==typeof t?void 0===e.arg?a.dynCall_v(t):a.dynCall_vi(t,e.arg):t(void 0===e.arg?null:e.arg)}else e(a)}}(b=a.wasmMemory?a.wasmMemory:new WebAssembly.Memory({initial:L/H,maximum:2147483648/H}))&&(D=b.buffer),L=D.byteLength,U(D),z[B>>2]=T;var V=[],j=[],G=[],$=[];function X(){if(a.preRun)for("function"==typeof a.preRun&&(a.preRun=[a.preRun]);a.preRun.length;)K(a.preRun.shift());q(V)}function Y(){q(j)}function Z(){q(G)}function J(){if(a.postRun)for("function"==typeof a.postRun&&(a.postRun=[a.postRun]);a.postRun.length;)Q(a.postRun.shift());q($)}function K(n){V.unshift(n)}function Q(n){$.unshift(n)}var nn=Math.ceil,en=Math.floor,tn=0,an=null,rn=null;function un(n){tn++,a.monitorRunDependencies&&a.monitorRunDependencies(tn)}function sn(n){if(tn--,a.monitorRunDependencies&&a.monitorRunDependencies(tn),0==tn&&(null!==an&&(clearInterval(an),an=null),rn)){var e=rn;rn=null,e()}}function on(n){throw a.onAbort&&a.onAbort(n),y(n+=""),_(n),k=!0,n="abort("+n+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(n)}function ln(n,e){return String.prototype.startsWith?n.startsWith(e):0===n.indexOf(e)}a.preloadedImages={},a.preloadedAudios={};var pn="data:application/octet-stream;base64,";function dn(n){return ln(n,pn)}var cn="file://";function mn(n){return ln(n,cn)}var fn="tfjs-backend-wasm-simd.wasm";function hn(){try{if(h)return new Uint8Array(h);if(p)return p(fn);throw"both async and sync fetching of the wasm failed"}catch(n){on(n)}}function bn(){return h||!u&&!i||"function"!=typeof fetch||mn(fn)?new Promise((function(n,e){n(hn())})):fetch(fn,{credentials:"same-origin"}).then((function(n){if(!n.ok)throw"failed to load wasm binary file at '"+fn+"'";return n.arrayBuffer()})).catch((function(){return hn()}))}function yn(){var n={a:xn};function e(n,e){var t=n.exports;a.asm=t,sn()}function t(n){e(n.instance)}function r(e){return bn().then((function(e){return WebAssembly.instantiate(e,n)})).then(e,(function(n){_("failed to asynchronously prepare wasm: "+n),on(n)}))}if(un(),a.instantiateWasm)try{return a.instantiateWasm(n,e)}catch(n){return _("Module.instantiateWasm callback failed with error: "+n),!1}return function(){if(h||"function"!=typeof WebAssembly.instantiateStreaming||dn(fn)||mn(fn)||"function"!=typeof fetch)return r(t);fetch(fn,{credentials:"same-origin"}).then((function(e){return WebAssembly.instantiateStreaming(e,n).then(t,(function(n){_("wasm streaming compile failed: "+n),_("falling back to ArrayBuffer instantiation"),r(t)}))}))}(),{}}function wn(){on()}function gn(n,e,t){O.copyWithin(n,e,e+t)}function _n(){return O.length}function In(n){try{return b.grow(n-D.byteLength+65535>>>16),U(b.buffer),1}catch(n){}}function kn(n){n>>>=0;var e=_n();if(n>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=e*(1+.2/t);if(a=Math.min(a,n+100663296),In(Math.min(2147483648,W(Math.max(16777216,n,a),65536))))return!0}return!1}dn(fn)||(fn=f(fn)),j.push({func:function(){Rn()}});var vn={mappings:{},buffers:[null,[],[]],printChar:function(n,e){var t=vn.buffers[n];0===e||10===e?((1===n?y:_)(x(t,0)),t.length=0):t.push(e)},varargs:void 0,get:function(){return vn.varargs+=4,z[vn.varargs-4>>2]},getStr:function(n){return N(n)},get64:function(n,e){return n}};function Mn(n){return 0}function An(n,e,t,a,r){}function Fn(n,e,t,a){for(var r=0,u=0;u<t;u++){for(var i=z[e+8*u>>2],s=z[e+(8*u+4)>>2],o=0;o<s;o++)vn.printChar(n,O[i+o]);r+=s}return z[a>>2]=r,0}function Sn(n){return(n=+n)>=0?+en(n+.5):+nn(n-.5)}var xn={a:wn,e:gn,f:kn,g:Mn,d:An,c:Fn,memory:b,b:Sn,table:I},Nn=yn();a.asm=Nn;var Cn,Rn=a.___wasm_call_ctors=function(){return(Rn=a.___wasm_call_ctors=a.asm.h).apply(null,arguments)},En=(a._init=function(){return(a._init=a.asm.i).apply(null,arguments)},a._register_tensor=function(){return(a._register_tensor=a.asm.j).apply(null,arguments)},a._dispose_data=function(){return(a._dispose_data=a.asm.k).apply(null,arguments)},a._dispose=function(){return(a._dispose=a.asm.l).apply(null,arguments)},a._Abs=function(){return(a._Abs=a.asm.m).apply(null,arguments)},a._Add=function(){return(a._Add=a.asm.n).apply(null,arguments)},a._AddN=function(){return(a._AddN=a.asm.o).apply(null,arguments)},a._ArgMax=function(){return(a._ArgMax=a.asm.p).apply(null,arguments)},a._AvgPool=function(){return(a._AvgPool=a.asm.q).apply(null,arguments)},a._BatchMatMul=function(){return(a._BatchMatMul=a.asm.r).apply(null,arguments)},a._ClipByValue=function(){return(a._ClipByValue=a.asm.s).apply(null,arguments)},a._Conv2D=function(){return(a._Conv2D=a.asm.t).apply(null,arguments)},a._Cos=function(){return(a._Cos=a.asm.u).apply(null,arguments)},a._CropAndResize=function(){return(a._CropAndResize=a.asm.v).apply(null,arguments)},a._DepthwiseConv2dNative=function(){return(a._DepthwiseConv2dNative=a.asm.w).apply(null,arguments)},a._Div=function(){return(a._Div=a.asm.x).apply(null,arguments)},a._Exp=function(){return(a._Exp=a.asm.y).apply(null,arguments)},a._FloorDiv=function(){return(a._FloorDiv=a.asm.z).apply(null,arguments)},a._FusedBatchNorm=function(){return(a._FusedBatchNorm=a.asm.A).apply(null,arguments)},a._FusedConv2D=function(){return(a._FusedConv2D=a.asm.B).apply(null,arguments)},a._FusedDepthwiseConv2D=function(){return(a._FusedDepthwiseConv2D=a.asm.C).apply(null,arguments)},a._Gather=function(){return(a._Gather=a.asm.D).apply(null,arguments)},a._GatherNd=function(){return(a._GatherNd=a.asm.E).apply(null,arguments)},a._Greater=function(){return(a._Greater=a.asm.F).apply(null,arguments)},a._GreaterEqual=function(){return(a._GreaterEqual=a.asm.G).apply(null,arguments)},a._Less=function(){return(a._Less=a.asm.H).apply(null,arguments)},a._LessEqual=function(){return(a._LessEqual=a.asm.I).apply(null,arguments)},a._Log=function(){return(a._Log=a.asm.J).apply(null,arguments)},a._LogicalAnd=function(){return(a._LogicalAnd=a.asm.K).apply(null,arguments)},a._Max=function(){return(a._Max=a.asm.L).apply(null,arguments)},a._MaxPool=function(){return(a._MaxPool=a.asm.M).apply(null,arguments)},a._Maximum=function(){return(a._Maximum=a.asm.N).apply(null,arguments)},a._Min=function(){return(a._Min=a.asm.O).apply(null,arguments)},a._Minimum=function(){return(a._Minimum=a.asm.P).apply(null,arguments)},a._Multiply=function(){return(a._Multiply=a.asm.Q).apply(null,arguments)},a._Neg=function(){return(a._Neg=a.asm.R).apply(null,arguments)},a._NonMaxSuppressionV3=function(){return(a._NonMaxSuppressionV3=a.asm.S).apply(null,arguments)},a._NonMaxSuppressionV5=function(){return(a._NonMaxSuppressionV5=a.asm.T).apply(null,arguments)},a._NotEqual=function(){return(a._NotEqual=a.asm.U).apply(null,arguments)},a._PadV2=function(){return(a._PadV2=a.asm.V).apply(null,arguments)},a._Pow=function(){return(a._Pow=a.asm.W).apply(null,arguments)},a._Prelu=function(){return(a._Prelu=a.asm.X).apply(null,arguments)},a._Relu=function(){return(a._Relu=a.asm.Y).apply(null,arguments)},a._Relu6=function(){return(a._Relu6=a.asm.Z).apply(null,arguments)},a._ResizeBilinear=function(){return(a._ResizeBilinear=a.asm._).apply(null,arguments)},a._Rsqrt=function(){return(a._Rsqrt=a.asm.$).apply(null,arguments)},a._ScatterNd=function(){return(a._ScatterNd=a.asm.aa).apply(null,arguments)},a._SelectV2=function(){return(a._SelectV2=a.asm.ba).apply(null,arguments)},a._Sigmoid=function(){return(a._Sigmoid=a.asm.ca).apply(null,arguments)},a._Sin=function(){return(a._Sin=a.asm.da).apply(null,arguments)},a._Softmax=function(){return(a._Softmax=a.asm.ea).apply(null,arguments)},a._Sqrt=function(){return(a._Sqrt=a.asm.fa).apply(null,arguments)},a._Square=function(){return(a._Square=a.asm.ga).apply(null,arguments)},a._Sub=function(){return(a._Sub=a.asm.ha).apply(null,arguments)},a._Sum=function(){return(a._Sum=a.asm.ia).apply(null,arguments)},a._Tanh=function(){return(a._Tanh=a.asm.ja).apply(null,arguments)},a._Tile=function(){return(a._Tile=a.asm.ka).apply(null,arguments)},a._Transpose=function(){return(a._Transpose=a.asm.la).apply(null,arguments)},a.__FusedMatMul=function(){return(a.__FusedMatMul=a.asm.ma).apply(null,arguments)},a._malloc=function(){return(a._malloc=a.asm.na).apply(null,arguments)},a._free=function(){return(a._free=a.asm.oa).apply(null,arguments)},a.stackSave=function(){return(En=a.stackSave=a.asm.pa).apply(null,arguments)}),Dn=a.stackAlloc=function(){return(Dn=a.stackAlloc=a.asm.qa).apply(null,arguments)},Pn=a.stackRestore=function(){return(Pn=a.stackRestore=a.asm.ra).apply(null,arguments)};function On(n){this.name="ExitStatus",this.message="Program terminated with exit("+n+")",this.status=n}function zn(n){function e(){Cn||(Cn=!0,a.calledRun=!0,k||(Y(),Z(),a.onRuntimeInitialized&&a.onRuntimeInitialized(),J()))}tn>0||(X(),tn>0||(a.setStatus?(a.setStatus("Running..."),setTimeout((function(){setTimeout((function(){a.setStatus("")}),1),e()}),1)):e()))}if(a.dynCall_vi=function(){return(a.dynCall_vi=a.asm.sa).apply(null,arguments)},a.dynCall_v=function(){return(a.dynCall_v=a.asm.ta).apply(null,arguments)},a.asm=Nn,a.cwrap=F,a.then=function(n){if(Cn)n(a);else{var e=a.onRuntimeInitialized;a.onRuntimeInitialized=function(){e&&e(),n(a)}}return a},rn=function n(){Cn||zn(),Cn||(rn=n)},a.run=zn,a.preInit)for("function"==typeof a.preInit&&(a.preInit=[a.preInit]);a.preInit.length>0;)a.preInit.pop()();return zn(),n});n.exports=a})),sn=rn((function(n,e){var t,a=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(n){var e,a=void 0!==(n=n||{})?n:{},r={};for(e in a)a.hasOwnProperty(e)&&(r[e]=a[e]);var u=!1,i=!1,s=!1,o=!1;u="object"==typeof window,i="function"==typeof importScripts,s="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,o=!u&&!s&&!i;var l,p,d,c,m="";function f(n){return a.locateFile?a.locateFile(n,m):m+n}s?(m=i?w.dirname(m)+"/":__dirname+"/",l=function(n,e){return d||(d=g),c||(c=w),n=c.normalize(n),d.readFileSync(n,e?null:"utf8")},p=function(n){var e=l(n,!0);return e.buffer||(e=new Uint8Array(e)),v(e.buffer),e},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(n){if(!(n instanceof On))throw n})),process.on("unhandledRejection",on),a.inspect=function(){return"[Emscripten Module object]"}):o?("undefined"!=typeof read&&(l=function(n){return read(n)}),p=function(n){var e;return"function"==typeof readbuffer?new Uint8Array(readbuffer(n)):(v("object"==typeof(e=read(n,"binary"))),e)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(u||i)&&(i?m=self.location.href:document.currentScript&&(m=document.currentScript.src),t&&(m=t),m=0!==m.indexOf("blob:")?m.substr(0,m.lastIndexOf("/")+1):"",l=function(n){var e=new XMLHttpRequest;return e.open("GET",n,!1),e.send(null),e.responseText},i&&(p=function(n){var e=new XMLHttpRequest;return e.open("GET",n,!1),e.responseType="arraybuffer",e.send(null),new Uint8Array(e.response)}));var h,b,y=a.print||console.log.bind(console),_=a.printErr||console.warn.bind(console);for(e in r)r.hasOwnProperty(e)&&(a[e]=r[e]);r=null,a.arguments&&a.arguments,a.thisProgram&&a.thisProgram,a.quit&&a.quit,a.wasmBinary&&(h=a.wasmBinary),a.noExitRuntime&&a.noExitRuntime,"object"!=typeof WebAssembly&&_("no native wasm support detected");var I=new WebAssembly.Table({initial:124,maximum:124,element:"anyfunc"}),k=!1;function v(n,e){n||on("Assertion failed: "+e)}function M(n){var e=a["_"+n];return v(e,"Cannot call unknown function "+n+", make sure it is exported"),e}function A(n,e,t,a,r){var u={string:function(n){var e=0;if(null!=n&&0!==n){var t=1+(n.length<<2);R(n,e=Dn(t),t)}return e},array:function(n){var e=Dn(n.length);return E(n,e),e}},i=M(n),s=[],o=0;if(a)for(var l=0;l<a.length;l++){var p=u[t[l]];p?(0===o&&(o=En()),s[l]=p(a[l])):s[l]=a[l]}var d=i.apply(null,s);return d=function(n){return"string"===e?N(n):"boolean"===e?Boolean(n):n}(d),0!==o&&Pn(o),d}function F(n,e,t,a){var r=(t=t||[]).every((function(n){return"number"===n}));return"string"!==e&&r&&!a?M(n):function(){return A(n,e,t,arguments)}}var S="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function x(n,e,t){for(var a=e+t,r=e;n[r]&&!(r>=a);)++r;if(r-e>16&&n.subarray&&S)return S.decode(n.subarray(e,r));for(var u="";e<r;){var i=n[e++];if(128&i){var s=63&n[e++];if(192!=(224&i)){var o=63&n[e++];if((i=224==(240&i)?(15&i)<<12|s<<6|o:(7&i)<<18|s<<12|o<<6|63&n[e++])<65536)u+=String.fromCharCode(i);else{var l=i-65536;u+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else u+=String.fromCharCode((31&i)<<6|s)}else u+=String.fromCharCode(i)}return u}function N(n,e){return n?x(O,n,e):""}function C(n,e,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<n.length;++i){var s=n.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&n.charCodeAt(++i)),s<=127){if(t>=u)break;e[t++]=s}else if(s<=2047){if(t+1>=u)break;e[t++]=192|s>>6,e[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;e[t++]=224|s>>12,e[t++]=128|s>>6&63,e[t++]=128|63&s}else{if(t+3>=u)break;e[t++]=240|s>>18,e[t++]=128|s>>12&63,e[t++]=128|s>>6&63,e[t++]=128|63&s}}return e[t]=0,t-r}function R(n,e,t){return C(n,O,e,t)}function E(n,e){P.set(n,e)}var D,P,O,z,H=65536;function W(n,e){return n%e>0&&(n+=e-n%e),n}function U(n){D=n,a.HEAP8=P=new Int8Array(n),a.HEAP16=new Int16Array(n),a.HEAP32=z=new Int32Array(n),a.HEAPU8=O=new Uint8Array(n),a.HEAPU16=new Uint16Array(n),a.HEAPU32=new Uint32Array(n),a.HEAPF32=new Float32Array(n),a.HEAPF64=new Float64Array(n)}var T=5254224,B=11184,L=a.INITIAL_MEMORY||16777216;function q(n){for(;n.length>0;){var e=n.shift();if("function"!=typeof e){var t=e.func;"number"==typeof t?void 0===e.arg?a.dynCall_v(t):a.dynCall_vi(t,e.arg):t(void 0===e.arg?null:e.arg)}else e(a)}}(b=a.wasmMemory?a.wasmMemory:new WebAssembly.Memory({initial:L/H,maximum:2147483648/H}))&&(D=b.buffer),L=D.byteLength,U(D),z[B>>2]=T;var V=[],j=[],G=[],$=[];function X(){if(a.preRun)for("function"==typeof a.preRun&&(a.preRun=[a.preRun]);a.preRun.length;)K(a.preRun.shift());q(V)}function Y(){q(j)}function Z(){q(G)}function J(){if(a.postRun)for("function"==typeof a.postRun&&(a.postRun=[a.postRun]);a.postRun.length;)Q(a.postRun.shift());q($)}function K(n){V.unshift(n)}function Q(n){$.unshift(n)}var nn=Math.ceil,en=Math.floor,tn=0,an=null,rn=null;function un(n){tn++,a.monitorRunDependencies&&a.monitorRunDependencies(tn)}function sn(n){if(tn--,a.monitorRunDependencies&&a.monitorRunDependencies(tn),0==tn&&(null!==an&&(clearInterval(an),an=null),rn)){var e=rn;rn=null,e()}}function on(n){throw a.onAbort&&a.onAbort(n),y(n+=""),_(n),k=!0,n="abort("+n+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(n)}function ln(n,e){return String.prototype.startsWith?n.startsWith(e):0===n.indexOf(e)}a.preloadedImages={},a.preloadedAudios={};var pn="data:application/octet-stream;base64,";function dn(n){return ln(n,pn)}var cn="file://";function mn(n){return ln(n,cn)}var fn="tfjs-backend-wasm.wasm";function hn(){try{if(h)return new Uint8Array(h);if(p)return p(fn);throw"both async and sync fetching of the wasm failed"}catch(n){on(n)}}function bn(){return h||!u&&!i||"function"!=typeof fetch||mn(fn)?new Promise((function(n,e){n(hn())})):fetch(fn,{credentials:"same-origin"}).then((function(n){if(!n.ok)throw"failed to load wasm binary file at '"+fn+"'";return n.arrayBuffer()})).catch((function(){return hn()}))}function yn(){var n={a:xn};function e(n,e){var t=n.exports;a.asm=t,sn()}function t(n){e(n.instance)}function r(e){return bn().then((function(e){return WebAssembly.instantiate(e,n)})).then(e,(function(n){_("failed to asynchronously prepare wasm: "+n),on(n)}))}if(un(),a.instantiateWasm)try{return a.instantiateWasm(n,e)}catch(n){return _("Module.instantiateWasm callback failed with error: "+n),!1}return function(){if(h||"function"!=typeof WebAssembly.instantiateStreaming||dn(fn)||mn(fn)||"function"!=typeof fetch)return r(t);fetch(fn,{credentials:"same-origin"}).then((function(e){return WebAssembly.instantiateStreaming(e,n).then(t,(function(n){_("wasm streaming compile failed: "+n),_("falling back to ArrayBuffer instantiation"),r(t)}))}))}(),{}}function wn(){on()}function gn(n,e,t){O.copyWithin(n,e,e+t)}function _n(){return O.length}function In(n){try{return b.grow(n-D.byteLength+65535>>>16),U(b.buffer),1}catch(n){}}function kn(n){n>>>=0;var e=_n();if(n>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=e*(1+.2/t);if(a=Math.min(a,n+100663296),In(Math.min(2147483648,W(Math.max(16777216,n,a),65536))))return!0}return!1}dn(fn)||(fn=f(fn)),j.push({func:function(){Rn()}});var vn={mappings:{},buffers:[null,[],[]],printChar:function(n,e){var t=vn.buffers[n];0===e||10===e?((1===n?y:_)(x(t,0)),t.length=0):t.push(e)},varargs:void 0,get:function(){return vn.varargs+=4,z[vn.varargs-4>>2]},getStr:function(n){return N(n)},get64:function(n,e){return n}};function Mn(n){return 0}function An(n,e,t,a,r){}function Fn(n,e,t,a){for(var r=0,u=0;u<t;u++){for(var i=z[e+8*u>>2],s=z[e+(8*u+4)>>2],o=0;o<s;o++)vn.printChar(n,O[i+o]);r+=s}return z[a>>2]=r,0}function Sn(n){return(n=+n)>=0?+en(n+.5):+nn(n-.5)}var xn={a:wn,e:gn,f:kn,g:Mn,d:An,c:Fn,memory:b,b:Sn,table:I},Nn=yn();a.asm=Nn;var Cn,Rn=a.___wasm_call_ctors=function(){return(Rn=a.___wasm_call_ctors=a.asm.h).apply(null,arguments)},En=(a._init=function(){return(a._init=a.asm.i).apply(null,arguments)},a._register_tensor=function(){return(a._register_tensor=a.asm.j).apply(null,arguments)},a._dispose_data=function(){return(a._dispose_data=a.asm.k).apply(null,arguments)},a._dispose=function(){return(a._dispose=a.asm.l).apply(null,arguments)},a._Abs=function(){return(a._Abs=a.asm.m).apply(null,arguments)},a._Add=function(){return(a._Add=a.asm.n).apply(null,arguments)},a._AddN=function(){return(a._AddN=a.asm.o).apply(null,arguments)},a._ArgMax=function(){return(a._ArgMax=a.asm.p).apply(null,arguments)},a._AvgPool=function(){return(a._AvgPool=a.asm.q).apply(null,arguments)},a._BatchMatMul=function(){return(a._BatchMatMul=a.asm.r).apply(null,arguments)},a._ClipByValue=function(){return(a._ClipByValue=a.asm.s).apply(null,arguments)},a._Conv2D=function(){return(a._Conv2D=a.asm.t).apply(null,arguments)},a._Cos=function(){return(a._Cos=a.asm.u).apply(null,arguments)},a._CropAndResize=function(){return(a._CropAndResize=a.asm.v).apply(null,arguments)},a._DepthwiseConv2dNative=function(){return(a._DepthwiseConv2dNative=a.asm.w).apply(null,arguments)},a._Div=function(){return(a._Div=a.asm.x).apply(null,arguments)},a._Exp=function(){return(a._Exp=a.asm.y).apply(null,arguments)},a._FloorDiv=function(){return(a._FloorDiv=a.asm.z).apply(null,arguments)},a._FusedBatchNorm=function(){return(a._FusedBatchNorm=a.asm.A).apply(null,arguments)},a._FusedConv2D=function(){return(a._FusedConv2D=a.asm.B).apply(null,arguments)},a._FusedDepthwiseConv2D=function(){return(a._FusedDepthwiseConv2D=a.asm.C).apply(null,arguments)},a._Gather=function(){return(a._Gather=a.asm.D).apply(null,arguments)},a._GatherNd=function(){return(a._GatherNd=a.asm.E).apply(null,arguments)},a._Greater=function(){return(a._Greater=a.asm.F).apply(null,arguments)},a._GreaterEqual=function(){return(a._GreaterEqual=a.asm.G).apply(null,arguments)},a._Less=function(){return(a._Less=a.asm.H).apply(null,arguments)},a._LessEqual=function(){return(a._LessEqual=a.asm.I).apply(null,arguments)},a._Log=function(){return(a._Log=a.asm.J).apply(null,arguments)},a._LogicalAnd=function(){return(a._LogicalAnd=a.asm.K).apply(null,arguments)},a._Max=function(){return(a._Max=a.asm.L).apply(null,arguments)},a._MaxPool=function(){return(a._MaxPool=a.asm.M).apply(null,arguments)},a._Maximum=function(){return(a._Maximum=a.asm.N).apply(null,arguments)},a._Min=function(){return(a._Min=a.asm.O).apply(null,arguments)},a._Minimum=function(){return(a._Minimum=a.asm.P).apply(null,arguments)},a._Multiply=function(){return(a._Multiply=a.asm.Q).apply(null,arguments)},a._Neg=function(){return(a._Neg=a.asm.R).apply(null,arguments)},a._NonMaxSuppressionV3=function(){return(a._NonMaxSuppressionV3=a.asm.S).apply(null,arguments)},a._NonMaxSuppressionV5=function(){return(a._NonMaxSuppressionV5=a.asm.T).apply(null,arguments)},a._NotEqual=function(){return(a._NotEqual=a.asm.U).apply(null,arguments)},a._PadV2=function(){return(a._PadV2=a.asm.V).apply(null,arguments)},a._Pow=function(){return(a._Pow=a.asm.W).apply(null,arguments)},a._Prelu=function(){return(a._Prelu=a.asm.X).apply(null,arguments)},a._Relu=function(){return(a._Relu=a.asm.Y).apply(null,arguments)},a._Relu6=function(){return(a._Relu6=a.asm.Z).apply(null,arguments)},a._ResizeBilinear=function(){return(a._ResizeBilinear=a.asm._).apply(null,arguments)},a._Rsqrt=function(){return(a._Rsqrt=a.asm.$).apply(null,arguments)},a._ScatterNd=function(){return(a._ScatterNd=a.asm.aa).apply(null,arguments)},a._SelectV2=function(){return(a._SelectV2=a.asm.ba).apply(null,arguments)},a._Sigmoid=function(){return(a._Sigmoid=a.asm.ca).apply(null,arguments)},a._Sin=function(){return(a._Sin=a.asm.da).apply(null,arguments)},a._Softmax=function(){return(a._Softmax=a.asm.ea).apply(null,arguments)},a._Sqrt=function(){return(a._Sqrt=a.asm.fa).apply(null,arguments)},a._Square=function(){return(a._Square=a.asm.ga).apply(null,arguments)},a._Sub=function(){return(a._Sub=a.asm.ha).apply(null,arguments)},a._Sum=function(){return(a._Sum=a.asm.ia).apply(null,arguments)},a._Tanh=function(){return(a._Tanh=a.asm.ja).apply(null,arguments)},a._Tile=function(){return(a._Tile=a.asm.ka).apply(null,arguments)},a._Transpose=function(){return(a._Transpose=a.asm.la).apply(null,arguments)},a.__FusedMatMul=function(){return(a.__FusedMatMul=a.asm.ma).apply(null,arguments)},a._malloc=function(){return(a._malloc=a.asm.na).apply(null,arguments)},a._free=function(){return(a._free=a.asm.oa).apply(null,arguments)},a.stackSave=function(){return(En=a.stackSave=a.asm.pa).apply(null,arguments)}),Dn=a.stackAlloc=function(){return(Dn=a.stackAlloc=a.asm.qa).apply(null,arguments)},Pn=a.stackRestore=function(){return(Pn=a.stackRestore=a.asm.ra).apply(null,arguments)};function On(n){this.name="ExitStatus",this.message="Program terminated with exit("+n+")",this.status=n}function zn(n){function e(){Cn||(Cn=!0,a.calledRun=!0,k||(Y(),Z(),a.onRuntimeInitialized&&a.onRuntimeInitialized(),J()))}tn>0||(X(),tn>0||(a.setStatus?(a.setStatus("Running..."),setTimeout((function(){setTimeout((function(){a.setStatus("")}),1),e()}),1)):e()))}if(a.dynCall_vi=function(){return(a.dynCall_vi=a.asm.sa).apply(null,arguments)},a.dynCall_v=function(){return(a.dynCall_v=a.asm.ta).apply(null,arguments)},a.asm=Nn,a.cwrap=F,a.then=function(n){if(Cn)n(a);else{var e=a.onRuntimeInitialized;a.onRuntimeInitialized=function(){e&&e(),n(a)}}return a},rn=function n(){Cn||zn(),Cn||(rn=n)},a.run=zn,a.preInit)for("function"==typeof a.preInit&&(a.preInit=[a.preInit]);a.preInit.length>0;)a.preInit.pop()();return zn(),n});n.exports=a}));class on extends f{constructor(n){super(),this.wasm=n,this.dataIdNextNumber=1,this.wasm.tfjs.init(),this.dataIdMap=new h(this,b())}write(n,e,t){const a={};return this.move(a,n,e,t),a}numDataIds(){return this.dataIdMap.numDataIds()}async time(n){const t=e.now();return n(),{kernelMs:e.now()-t}}move(n,t,a,r){const u=this.dataIdNextNumber++;if("string"===r){const e=t;return void this.dataIdMap.set(n,{id:u,stringBytes:e,shape:a,dtype:r,memoryOffset:null})}const i=e.sizeFromShape(a),s=i*e.bytesPerElement(r),o=this.wasm._malloc(s);this.dataIdMap.set(n,{id:u,memoryOffset:o,shape:a,dtype:r}),this.wasm.tfjs.registerTensor(u,i,o),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,t.byteOffset,s),o)}async read(n){return this.readSync(n)}readSync(n){const{memoryOffset:t,dtype:a,shape:r,stringBytes:u}=this.dataIdMap.get(n);return"string"===a?u:function(n,e){switch(e){case"float32":return new Float32Array(n);case"int32":return new Int32Array(n);case"bool":return new Uint8Array(n);default:throw new Error(`Unknown dtype ${e}`)}}(this.wasm.HEAPU8.slice(t,t+e.sizeFromShape(r)*e.bytesPerElement(a)).buffer,a)}disposeData(n){const e=this.dataIdMap.get(n);this.wasm._free(e.memoryOffset),this.wasm.tfjs.disposeData(e.id),this.dataIdMap.delete(n)}floatPrecision(){return 32}getMemoryOffset(n){return this.dataIdMap.get(n).memoryOffset}dispose(){this.wasm.tfjs.dispose(),this.wasm=null}memory(){return{unreliable:!1}}makeOutput(n,t,a){let r;if(null==a)r=this.write(null,n,t);else{r={};const u=this.dataIdNextNumber++;this.dataIdMap.set(r,{id:u,memoryOffset:a,shape:n,dtype:t});const i=e.sizeFromShape(n);this.wasm.tfjs.registerTensor(u,i,a)}return{dataId:r,shape:n,dtype:t}}typedArrayFromHeap({shape:n,dtype:t,dataId:a}){const r=this.wasm.HEAPU8.buffer,{memoryOffset:u}=this.dataIdMap.get(a),i=e.sizeFromShape(n);switch(t){case"float32":return new Float32Array(r,u,i);case"int32":return new Int32Array(r,u,i);case"bool":return new Uint8Array(r,u,i);default:throw new Error(`Uknown dtype ${t}`)}}}y("wasm",async()=>{const{wasm:n}=await async function(){const n=await m().getAsync("WASM_HAS_SIMD_SUPPORT");return new Promise((t,a)=>{const r={};null!=ln&&(r.locateFile=(n,e)=>n.endsWith(".wasm")?ln:e+n,dn&&(r.instantiateWasm=function(n){return(t,a)=>(e.fetch(n,{credentials:"same-origin"}).then(e=>{e.ok||t.env.a(`failed to load wasm binary file at '${n}'`),e.arrayBuffer().then(n=>{WebAssembly.instantiate(n,t).then(n=>{a(n.instance)})})}),{})}(ln)));const u=n?un(r):sn(r);u.tfjs={init:u.cwrap("init",null,[]),registerTensor:u.cwrap("register_tensor",null,["number","number","number"]),disposeData:u.cwrap("dispose_data",null,["number"]),dispose:u.cwrap("dispose",null,[])};let i=!1;u.onRuntimeInitialized=()=>{i=!0,pn=!1,t({wasm:u})},u.onAbort=()=>{if(i)return;if(pn)return;pn=!0;a({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}})}();return new on(n)},2);let ln=null,pn=!1,dn=!1;function cn(n,e=!1){if(pn)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");ln=n,dn=e}const mn="2.0.1";export{on as BackendWasm,cn as setWasmPath,mn as version_wasm};
//# sourceMappingURL=tf-backend-wasm.esm.js.map
