/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,n){"object"==typeof exports&&"undefined"!=typeof module?n(exports,require("@tensorflow/tfjs-core"),require("path"),require("fs")):"function"==typeof define&&define.amd?define(["exports","@tensorflow/tfjs-core","path","fs"],n):n(((e=e||self).tf=e.tf||{},e.tf.wasm=e.tf.wasm||{}),e.tf,e.path,e.fs)}(this,(function(e,n,t,a){"use strict";var r,u;let i;function s(e){let t;n.registerKernel({kernelName:e,backendName:"wasm",setupFunc:function(n){t=n.wasm.cwrap(e,null,["number","number"])},kernelFunc:function(e){const{backend:a,inputs:{x:r}}=e,u=a.dataIdMap.get(r.dataId).id,i=a.makeOutput(r.shape,r.dtype),s=a.dataIdMap.get(i.dataId).id;return 0===n.util.sizeFromShape(i.shape)?i:(t(u,s),i)}})}function o(e,t,a){let u;n.registerKernel({kernelName:e,backendName:"wasm",setupFunc:function(n){u=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(i){const{backend:s,inputs:o}=i,{a:l,b:p}=o,d=s.dataIdMap.get(l.dataId).id,c=s.dataIdMap.get(p.dataId).id,m=null!=a?a:l.dtype,f=n.backend_util.assertAndGetBroadcastShape(l.shape,p.shape),b=s.makeOutput(f,m);if(0===n.util.sizeFromShape(f))return b;const h=new Uint8Array(new Int32Array(l.shape).buffer),y=new Uint8Array(new Int32Array(p.shape).buffer),g=s.dataIdMap.get(b.dataId).id,w=()=>u(d,h,l.shape.length,c,y,p.shape.length,r[l.dtype],g);if(t)return w(),b;const _=n.backend_util.getBroadcastDims(l.shape,f),I=n.backend_util.getBroadcastDims(p.shape,f),k=_.every((e,n)=>e===n),v=I.every((e,n)=>e===n);if(k&&v)return w(),b;throw new Error("Broadcasting along outer dims is not yet "+`supported for ${e}.`)}})}t=t&&t.hasOwnProperty("default")?t.default:t,a=a&&a.hasOwnProperty("default")?a.default:a,function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(r||(r={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu"}(u||(u={})),n.registerKernel({kernelName:"_FusedMatMul",backendName:"wasm",setupFunc:function(e){i=e.wasm.cwrap("_FusedMatMul",null,["number","array","number","number","array","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{a:r,b:s,bias:o,preluActivationWeights:l}=n;if("float32"!==r.dtype||"float32"!==s.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");const{transposeA:p,transposeB:d,activation:c}=a,m=t.dataIdMap.get(r.dataId).id,f=t.dataIdMap.get(s.dataId).id;let b=0;if(null!=o){const e=t.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error("_FusedMatMul only supports rank-1 bias but got "+`rank ${e.shape.length}.`);b=e.id}const h=null==l?0:t.dataIdMap.get(l.dataId).id,y=u[c];if(null==y)throw new Error(`${c} activation not yet supported for FusedConv2D `+"in the wasm backend.");const g=p?r.shape[2]:r.shape[1],w=d?s.shape[1]:s.shape[2],_=r.shape[0],I=t.makeOutput([_,g,w],r.dtype),k=t.dataIdMap.get(I.dataId).id,v=new Uint8Array(new Int32Array(r.shape).buffer),M=new Uint8Array(new Int32Array(s.shape).buffer);return i(m,v,r.shape.length,f,M,s.shape.length,p,d,y,b,h,k),I}}),s("Abs");let l,p,d,c,m,f;function b(e){const{inputs:{x:n},attrs:{dtype:t},backend:a}=e,r=a.makeOutput(n.shape,t),u=a.typedArrayFromHeap(n);return a.typedArrayFromHeap(r).set(u),r}var h;let y,g;o("Add",!0),n.registerKernel({kernelName:"AddN",backendName:"wasm",setupFunc:function(e){l=e.wasm.cwrap("AddN",null,["array","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:a}=e,u=a.makeOutput(t[0].shape,t[0].dtype);if(0===n.util.sizeFromShape(u.shape))return u;const i=t.map(e=>a.dataIdMap.get(e.dataId).id),s=new Uint8Array(new Int32Array(i).buffer),o=a.dataIdMap.get(u.dataId).id;return l(s,i.length,r[u.dtype],o),u}}),n.registerKernel({kernelName:"ArgMax",backendName:"wasm",kernelFunc:function(e){const{inputs:{x:t},backend:a,attrs:{axis:u}}=e,i=t.shape.slice(0,-1),s=a.makeOutput(i,"int32"),o=a.dataIdMap.get(t.dataId).id,l=a.dataIdMap.get(s.dataId).id,d=n.util.sizeFromShape(s.shape),c=t.shape[u];return p(o,r[t.dtype],d,c,l),s},setupFunc:function(e){p=e.wasm.cwrap("ArgMax",null,["number","number","number","number","number"])}}),n.registerKernel({kernelName:"AvgPool",backendName:"wasm",setupFunc:function(e){d=e.wasm.cwrap("AvgPool",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,u=t.x,i=r.dataIdMap.get(u.dataId).id,{filterSize:s,strides:o,pad:l,dimRoundingMode:p}=a,c=n.backend_util.computePool2DInfo(u.shape,s,o,1,l,p),m=c.filterHeight,f=c.filterWidth,b=c.padInfo.top,h=c.padInfo.right,y=c.padInfo.bottom,g=c.padInfo.left,w=c.strideHeight,_=c.strideWidth,I=c.inChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+`${c.dataFormat}'. Please use 'channelsLast'.`);if(1!==c.dilationWidth||1!==c.dilationHeight)throw new Error("was backend only supports average pooling with dilation = [1, 1], "+`got [${c.dilationHeight}, ${c.dilationWidth}].`);const k=r.makeOutput(c.outShape,"float32"),v=r.dataIdMap.get(k.dataId).id;return d(i,u.shape[0],u.shape[1],u.shape[2],m,f,b,h,y,g,w,_,I,v),k}}),n.registerKernel({kernelName:"BatchMatMul",backendName:"wasm",setupFunc:function(e){c=e.wasm.cwrap("BatchMatMul",null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{a:r,b:u}=n;if("float32"!==r.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");const{transposeA:i,transposeB:s}=a,o=t.dataIdMap.get(r.dataId).id,l=t.dataIdMap.get(u.dataId).id,p=i?r.shape[2]:r.shape[1],d=s?u.shape[1]:u.shape[2],m=r.shape[0],f=t.makeOutput([m,p,d],r.dtype),b=t.dataIdMap.get(f.dataId).id,h=new Uint8Array(new Int32Array(r.shape).buffer),y=new Uint8Array(new Int32Array(u.shape).buffer);return c(o,h,r.shape.length,l,y,u.shape.length,i,s,b),f}}),n.registerKernel({kernelName:"Cast",backendName:"wasm",kernelFunc:b}),n.registerKernel({kernelName:"ClipByValue",backendName:"wasm",setupFunc:function(e){m=e.wasm.cwrap("ClipByValue",null,["number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{x:r}=n,{min:u,max:i}=a,s=t.dataIdMap.get(r.dataId).id,o=t.makeOutput(r.shape,"float32"),l=t.dataIdMap.get(o.dataId).id;return m(s,u,i,l),o}}),n.registerKernel({kernelName:"Concat",backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a}=e,r=n.util.parseAxisParam(e.attrs.axis,t[0].shape)[0],u=n.backend_util.computeOutShape(t.map(e=>e.shape),r),i=a.makeOutput(u,t[0].dtype),s=n.util.sizeFromShape(t[0].shape.slice(0,r));let o=0;const l=t.map(e=>{const t=n.util.sizeFromShape(e.shape.slice(r));return o+=t,t}),p=t.map(e=>a.typedArrayFromHeap(e)),d=a.typedArrayFromHeap(i);for(let e=0;e<s;e++){let n=e*o;for(let t=0;t<p.length;t++){const a=l[t],r=e*a,u=p[t].subarray(r,r+a);d.set(u,n),n+=a}}return i}}),n.registerKernel({kernelName:"Conv2D",backendName:"wasm",setupFunc:function(e){f=e.wasm.cwrap("Conv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,{x:u,filter:i}=t,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,{strides:l,dilations:p,pad:d,dimRoundingMode:c,dataFormat:m}=a,b=n.backend_util.convertConv2DDataFormat(m),h=n.backend_util.computeConv2DInfo(u.shape,i.shape,l,p,d,c,!1,b),y=h.filterHeight,g=h.filterWidth,w=h.padInfo.top,_=h.padInfo.right,I=h.padInfo.bottom,k=h.padInfo.left,v=h.dilationHeight,M=h.dilationWidth,A=h.strideHeight,S=h.strideWidth,F=h.inChannels,x=h.outChannels,N="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+`${h.dataFormat}'. Please use 'channelsLast'.`);const C=r.makeOutput(h.outShape,"float32"),R=r.dataIdMap.get(C.dataId).id;return f(s,u.shape[0],u.shape[1],u.shape[2],o,y,g,w,_,I,k,N,v,M,A,S,F,x,R),C}}),s("Cos"),function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(h||(h={})),n.registerKernel({kernelName:"CropAndResize",backendName:"wasm",setupFunc:function(e){y=e.wasm.cwrap("CropAndResize",null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{method:r,extrapolationValue:u,cropSize:i}=a,{images:s,boxes:o,boxInd:l}=t,p=o.shape[0],[d,c]=i,m=[p,d,c,s.shape[3]];let f,g=n.dataIdMap.get(s.dataId);"float32"!==s.dtype&&(f=b({backend:n,inputs:{x:s},attrs:{dtype:"float32"}}),g=n.dataIdMap.get(f.dataId));const w=g.id,_=n.dataIdMap.get(o.dataId).id,I=n.dataIdMap.get(l.dataId).id,k=n.makeOutput(m,"float32"),v=n.dataIdMap.get(k.dataId).id,M=new Uint8Array(new Int32Array(s.shape).buffer);return y(w,_,I,p,M,d,c,h[r],u,v),null!=f&&n.disposeData(f.dataId),k}}),n.registerKernel({kernelName:"DepthwiseConv2dNative",backendName:"wasm",setupFunc:function(e){g=e.wasm.cwrap("DepthwiseConv2dNative",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,{x:u,filter:i}=t,s=r.dataIdMap.get(u.dataId).id,o=r.dataIdMap.get(i.dataId).id,{strides:l,dilations:p,pad:d,dimRoundingMode:c}=a,m=null==p?[1,1]:p,f=n.backend_util.computeConv2DInfo(u.shape,i.shape,l,m,d,c,!0),b=f.filterHeight,h=f.filterWidth,y=f.padInfo.top,w=f.padInfo.right,_=f.padInfo.bottom,I=f.padInfo.left,k=f.dilationHeight,v=f.dilationWidth,M=f.strideHeight,A=f.strideWidth,S=f.inChannels,F=f.outChannels,x="SAME"===f.padInfo.type?1:0;if("channelsLast"!==f.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+`${f.dataFormat}'. Please use 'channelsLast'.`);const N=r.makeOutput(f.outShape,"float32"),C=r.dataIdMap.get(N.dataId).id;return g(s,u.shape[0],u.shape[1],u.shape[2],o,b,h,y,w,_,I,x,k,v,M,A,S,F,C),N}});o("Div",!1),s("Exp"),n.registerKernel({kernelName:n.Fill,backendName:"wasm",kernelFunc:function(e){const{attrs:{shape:n,value:t,dtype:a},backend:r}=e,u=r.makeOutput(n,a);return r.typedArrayFromHeap(u).fill(t),u}});let w,_,I,k,v;o("FloorDiv",!1),n.registerKernel({kernelName:"FusedBatchNorm",backendName:"wasm",setupFunc:function(e){w=e.wasm.cwrap("FusedBatchNorm",null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{varianceEpsilon:u}=r,{x:i,mean:s,variance:o,offset:l,scale:p}=a,d=t.dataIdMap.get(i.dataId).id,c=t.dataIdMap.get(s.dataId).id,m=t.dataIdMap.get(o.dataId).id,f=null!=l?t.dataIdMap.get(l.dataId).id:0,b=null!=p?t.dataIdMap.get(p.dataId).id:0,h=t.makeOutput(i.shape,i.dtype);if(0===n.util.sizeFromShape(i.shape))return h;const y=t.dataIdMap.get(h.dataId).id;return w(d,c,m,f,b,u,y),h}}),n.registerKernel({kernelName:"FusedConv2D",backendName:"wasm",setupFunc:function(e){_=e.wasm.cwrap("FusedConv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,{convInfo:r,activation:i}=t,s=u[i];if(null==s)throw new Error(`${i} activation not yet supported for FusedConv2D `+"in the wasm backend.");const{x:o,filter:l,bias:p,preluActivationWeights:d}=n,c=a.dataIdMap.get(o.dataId).id,m=a.dataIdMap.get(l.dataId).id,f=r.outChannels;let b=0;if(null!=p){const e=a.dataIdMap.get(p.dataId);if(1!==e.shape.length)throw new Error("FusedConv2D only supports rank-1 bias but got "+`rank ${e.shape.length}.`);if(e.shape[0]!==f)throw new Error(`FusedConv2D bias shape (${e.shape}) does not `+`match the number of output channels (${f})`);b=e.id}const h=r.filterHeight,y=r.filterWidth,g=r.padInfo.top,w=r.padInfo.right,I=r.padInfo.bottom,k=r.padInfo.left,v=r.dilationHeight,M=r.dilationWidth,A=r.strideHeight,S=r.strideWidth,F=r.inChannels,x="SAME"===r.padInfo.type?1:0,N=r.batchSize,C=r.inHeight,R=r.inWidth;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+`${r.dataFormat}'. Please use 'channelsLast'.`);const E=a.makeOutput(r.outShape,"float32"),D=a.dataIdMap.get(E.dataId).id,P=null==d?0:a.dataIdMap.get(d.dataId).id;return _(c,N,C,R,m,h,y,b,g,w,I,k,x,v,M,A,S,F,f,s,P,D),E}}),n.registerKernel({kernelName:"FusedDepthwiseConv2D",backendName:"wasm",setupFunc:function(e){I=e.wasm.cwrap("FusedDepthwiseConv2D",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,{convInfo:r,activation:i}=t,s=u[i];if(null==s)throw new Error(`${i} activation not yet supported for FusedDepthwiseConv2D `+"in the wasm backend.");const{x:o,filter:l,bias:p,preluActivationWeights:d}=n,c=a.dataIdMap.get(o.dataId).id,m=a.dataIdMap.get(l.dataId).id,f=r.outChannels;let b=0;if(null!=p){const e=a.dataIdMap.get(p.dataId);if(1!==e.shape.length)throw new Error("FusedDepthwiseConv2D only supports rank-1 bias but got "+`rank ${e.shape.length}.`);if(e.shape[0]!==f)throw new Error(`FusedDepthwiseConv2D bias shape (${e.shape}) does not `+`match the number of output channels (${f})`);b=e.id}const h=r.filterHeight,y=r.filterWidth,g=r.padInfo.top,w=r.padInfo.right,_=r.padInfo.bottom,k=r.padInfo.left,v=r.dilationHeight,M=r.dilationWidth,A=r.strideHeight,S=r.strideWidth,F=r.inChannels,x="SAME"===r.padInfo.type?1:0,N=r.batchSize,C=r.inHeight,R=r.inWidth;if("channelsLast"!==r.dataFormat)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+`${r.dataFormat}'. Please use 'channelsLast'.`);const E=a.makeOutput(r.outShape,"float32"),D=a.dataIdMap.get(E.dataId).id,P=null==d?0:a.dataIdMap.get(d.dataId).id;return I(c,N,C,R,m,h,y,b,g,w,_,k,x,v,M,A,S,F,f,s,P,D),E}}),n.registerKernel({kernelName:"Gather",backendName:"wasm",setupFunc:function(e){k=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:u}=e,{x:i,indices:s}=a,{axis:o}=u,l=i.shape.slice();l[o]=n.util.sizeFromShape(s.shape);const p=i.shape.length-1,d=t.makeOutput(l,i.dtype);if(0===n.util.sizeFromShape(i.shape))return d;const c=t.dataIdMap.get(i.dataId).id,m=t.dataIdMap.get(s.dataId).id,f=t.dataIdMap.get(d.dataId).id,b=new Uint8Array(new Int32Array(n.util.computeStrides(i.shape)).buffer),h=new Uint8Array(new Int32Array(n.util.computeStrides(l)).buffer);return k(c,r[i.dtype],b,p,m,o,h,f),d}}),n.registerKernel({kernelName:n.GatherNd,backendName:"wasm",setupFunc:function(e){v=e.wasm.cwrap("GatherNd",null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){const{backend:t,inputs:a}=e,{params:u,indices:i}=a,[s,o,l,p]=n.gather_util.prepareAndValidate(u,i),d=t.makeOutput(s,u.dtype);if(0===o)return d;const c=i.shape,m=c[c.length-1],f=t.dataIdMap.get(u.dataId).id,b=t.dataIdMap.get(i.dataId).id,h=new Uint8Array(new Int32Array(p).buffer),y=t.dataIdMap.get(d.dataId).id;return v(f,r[u.dtype],b,o,m,l,h,y),d}});o("Greater",!1,"bool");o("GreaterEqual",!1,"bool");o("Less",!1,"bool");o("LessEqual",!1,"bool"),s("Log");let M,A;function S(e){const{inputs:n,backend:t,attrs:a}=e,[u,i]=function(e,n){const t=[],a=[];for(let r=0;r<e.length;++r)1!==e[r]&&t.push(e[r]),1!==e[n[r]]&&a.push(n[r]);for(let e=0;e<a.length;++e){let n=-1;for(let t=0;t<a.length;++t)a[t]>=e&&(-1===n||a[n]>a[t])&&(n=t);a[n]=e}return[t,a]}(n.x.shape,a.perm),s={dataId:n.x.dataId,shape:u,dtype:n.x.dtype};let o=!0;for(let e=0;e<i.length;e++)i[e]!==e&&(o=!1);const l=function(e,n){const t=new Array(e.length);for(let a=0;a<t.length;a++)t[a]=e[n[a]];return t}(n.x.shape,a.perm);if(o)return{dataId:s.dataId,shape:l,dtype:s.dtype};const p=t.makeOutput(l,s.dtype),d=t.dataIdMap.get(s.dataId).id,c=t.dataIdMap.get(p.dataId).id,m=new Uint8Array(new Int32Array(i).buffer),f=new Uint8Array(new Int32Array(s.shape).buffer);return M(d,f,s.shape.length,r[s.dtype],c,m,i.length),p}o("LogicalAnd",!1,"bool"),n.registerKernel({kernelName:"Transpose",backendName:"wasm",kernelFunc:S,setupFunc:function(e){M=e.wasm.cwrap("Transpose",null,["number","array","number","number","number","array","number"])}}),n.registerKernel({kernelName:n.Max,backendName:"wasm",setupFunc:function(e){A=e.wasm.cwrap("Max",null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{reductionIndices:u}=r,{x:i}=a,s=t.dataIdMap.get(i.dataId).id;let o=i.shape;const l=i.shape.length,p=t.typedArrayFromHeap(i);let d=n.util.parseAxisParam(u,o);const c=n.backend_util.getAxesPermutation(d,l);if(null!=c){const e=new Array(l);for(let n=0;n<e.length;n++)e[n]=o[c[n]];d=n.backend_util.getInnerMostAxes(d.length,l);const a=S({inputs:{x:i},attrs:{perm:c},backend:t});if(t.dataIdMap.get(a.dataId).id!==s){const e=t.typedArrayFromHeap(a);p.set(e,0),t.disposeData(a.dataId)}o=e}n.backend_util.assertAxesAreInnerMostDims("max",d,l);const[m,f]=n.backend_util.computeOutAndReduceShapes(o,d),b=n.util.sizeFromShape(f),h=t.makeOutput(m,i.dtype);if(0===n.util.sizeFromShape(o))return h;const y=t.dataIdMap.get(h.dataId).id;return A(s,b,y),h}});let F,x;o("Maximum",!1),n.registerKernel({kernelName:"MaxPool",backendName:"wasm",setupFunc:function(e){F=e.wasm.cwrap("MaxPool",null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,u=t.x,i=r.dataIdMap.get(u.dataId).id,{filterSize:s,strides:o,pad:l,dimRoundingMode:p}=a,d=n.backend_util.computePool2DInfo(u.shape,s,o,1,l,p),c=d.filterHeight,m=d.filterWidth,f=d.padInfo.top,b=d.padInfo.right,h=d.padInfo.bottom,y=d.padInfo.left,g=d.dilationHeight,w=d.dilationWidth,_=d.strideHeight,I=d.strideWidth,k=d.inChannels,v=d.outChannels;if("channelsLast"!==d.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+`${d.dataFormat}'. Please use 'channelsLast'.`);const M=r.makeOutput(d.outShape,"float32"),A=r.dataIdMap.get(M.dataId).id;return F(i,u.shape[0],u.shape[1],u.shape[2],c,m,f,b,h,y,g,w,_,I,k,v,A),M}}),n.registerKernel({kernelName:"Min",backendName:"wasm",setupFunc:function(e){x=e.wasm.cwrap("Min",null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{axes:u}=r,{x:i}=a,s=t.dataIdMap.get(i.dataId).id;n.backend_util.assertAxesAreInnerMostDims("min",u,i.shape.length);const[o,l]=n.backend_util.computeOutAndReduceShapes(i.shape,u),p=n.util.sizeFromShape(l),d=t.makeOutput(o,i.dtype);if(0===n.util.sizeFromShape(i.shape))return d;const c=t.dataIdMap.get(d.dataId).id;return x(s,p,c),d}});o("Minimum",!1);function N(e,n){const t=new Int32Array(e.wasm.HEAPU8.buffer,n,3),a=t[0],r=t[1],u=t[2];return e.wasm._free(n),{pSelectedIndices:a,selectedSize:r,pSelectedScores:u}}let C,R;o(n.Multiply,!0),s("Neg"),n.registerKernel({kernelName:"NonMaxSuppressionV3",backendName:"wasm",setupFunc:function(e){C=e.wasm.cwrap("NonMaxSuppressionV3","number",["number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:u,scoreThreshold:i}=a,{boxes:s,scores:o}=t,l=n.dataIdMap.get(s.dataId).id,p=n.dataIdMap.get(o.dataId).id,d=C(l,p,u,r,i),{pSelectedIndices:c,selectedSize:m,pSelectedScores:f}=N(n,d);return n.wasm._free(f),n.makeOutput([m],"int32",c)}}),n.registerKernel({kernelName:"NonMaxSuppressionV5",backendName:"wasm",setupFunc:function(e){R=e.wasm.cwrap("NonMaxSuppressionV5","number",["number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:a}=e,{iouThreshold:r,maxOutputSize:u,scoreThreshold:i,softNmsSigma:s}=a,{boxes:o,scores:l}=t,p=n.dataIdMap.get(o.dataId).id,d=n.dataIdMap.get(l.dataId).id,c=R(p,d,u,r,i,s),{pSelectedIndices:m,selectedSize:f,pSelectedScores:b}=N(n,c);return[n.makeOutput([f],"int32",m),n.makeOutput([f],"float32",b)]}});let E;o("NotEqual",!1,"bool"),n.registerKernel({kernelName:"OnesLike",backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(1),a}}),n.registerKernel({kernelName:"PadV2",backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t,attrs:{paddings:a,constantValue:u}}=e,i=a.map((e,t)=>e[0]+n.shape[t]+e[1]),s=t.dataIdMap.get(n.dataId).id,o=t.makeOutput(i,n.dtype),l=t.dataIdMap.get(o.dataId).id,p=new Uint8Array(new Int32Array(n.shape).buffer),d=[].concat(...a),c=new Uint8Array(new Int32Array(d).buffer);return E(s,p,n.shape.length,r[n.dtype],c,u,l),o},setupFunc:function(e){E=e.wasm.cwrap("PadV2",null,["number","array","number","number","array","number","number"])}});let D,P,O,z,W,H;function U(e){const{inputs:{x:t},attrs:{begin:a,size:r},backend:u}=e,i=n.slice_util.isSliceContinous(t.shape,a,r),s=u.typedArrayFromHeap(t),o=u.makeOutput(r,t.dtype),l=u.typedArrayFromHeap(o),p=n.util.computeStrides(t.shape);if(i){const e=n.slice_util.computeFlatOffset(a,p);return l.set(s.subarray(e,e+n.util.sizeFromShape(r))),o}const d=t.shape.length;return 2===d?function(e,n,t,a,r){let u=0;const i=a[0],s=a[1],o=i+r[0];for(let a=i;a<o;a++){const i=a*n+s;t.set(e.subarray(i,i+r[1]),u),u+=r[1]}}(s,p[0],l,a,r):3===d?function(e,n,t,a,r,u){let i=0;const s=r[0],o=r[1],l=r[2],p=s+u[0],d=o+u[1];for(let r=s;r<p;r++)for(let s=o;s<d;s++){const o=r*n+s*t+l;a.set(e.subarray(o,o+u[2]),i),i+=u[2]}}(s,p[0],p[1],l,a,r):4===d?function(e,n,t,a,r,u,i){let s=0;const o=u[0],l=u[1],p=u[2],d=o+i[0],c=l+i[1],m=p+i[2],f=u[3];for(let u=o;u<d;u++)for(let o=l;o<c;o++)for(let l=p;l<m;l++){const p=u*n+o*t+l*a+f;r.set(e.subarray(p,p+i[3]),s),s+=i[3]}}(s,p[0],p[1],p[2],l,a,r):function(e,t,a,r,u){const i=n.buffer(u,t.dtype,a),s=n.buffer(t.shape,t.dtype,e);for(let e=0;e<i.size;++e){const n=i.indexToLoc(e).map((e,n)=>e+r[n]);a[e]=s.get(...n)}}(s,t,l,a,r),o}o("Pow",!1),n.registerKernel({kernelName:"Prelu",backendName:"wasm",setupFunc:function(e){D=e.wasm.cwrap("Prelu",null,["number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t}=e,{x:a,alpha:r}=n,u=t.dataIdMap.get(a.dataId).id,i=t.dataIdMap.get(r.dataId).id,s=t.makeOutput(a.shape,"float32"),o=t.dataIdMap.get(s.dataId).id;return D(u,i,o),s}}),s("Relu"),s("Relu6"),n.registerKernel({kernelName:"Reshape",backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},attrs:{shape:t}}=e;return{dataId:n.dataId,shape:t,dtype:n.dtype}}}),n.registerKernel({kernelName:"ResizeBilinear",backendName:"wasm",setupFunc:function(e){P=e.wasm.cwrap("ResizeBilinear",null,["number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{x:u}=a,{alignCorners:i,newHeight:s,newWidth:o}=r,[l,p,d,c]=u.shape,m=[l,s,o,c];let f,h=t.dataIdMap.get(u.dataId);"float32"!==h.dtype&&(f=b({backend:t,inputs:{x:u},attrs:{dtype:"float32"}}),h=t.dataIdMap.get(f.dataId));const y=h.id,g=t.makeOutput(m,"float32");if(0===n.util.sizeFromShape(u.shape))return g;const w=t.dataIdMap.get(g.dataId).id;return P(y,l,p,d,c,s,o,i?1:0,w),null!=f&&t.disposeData(f.dataId),g}}),s("Rsqrt"),n.registerKernel({kernelName:n.SelectV2,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a}=e,{condition:r,t:u,e:i}=t,s=a.dataIdMap.get(r.dataId).id,o=a.dataIdMap.get(u.dataId).id,l=a.dataIdMap.get(i.dataId).id,p=a.makeOutput(u.shape,u.dtype),d=a.dataIdMap.get(p.dataId).id,c=r.shape.length,m=u.shape.length,f=0===c||c>1||1===m?1:n.util.sizeFromShape(u.shape.slice(1));return O(s,o,l,f,d),p},setupFunc:function(e){O=e.wasm.cwrap(n.SelectV2,null,["number","number","number","number","number"])}}),n.registerKernel({kernelName:"ScatterNd",backendName:"wasm",setupFunc:function(e){z=e.wasm.cwrap("ScatterNd",null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:u}=e,{indices:i,updates:s}=a,{shape:o}=u,l=t.makeOutput(o,s.dtype);if(0===n.util.sizeFromShape(o))return l;const{sliceRank:p,numUpdates:d,sliceSize:c,strides:m,outputSize:f}=n.scatter_util.calculateShapes(s,i,o),b=t.dataIdMap.get(i.dataId).id,h=t.dataIdMap.get(s.dataId).id,y=new Uint8Array(new Int32Array(m).buffer),g=t.dataIdMap.get(l.dataId).id;return z(b,h,r[s.dtype],p,d,c,y,f,g),l}}),n.registerKernel({kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){W=e.wasm.cwrap("Sigmoid",null,["number","number"])},kernelFunc:function(e){const{backend:t,inputs:{x:a}}=e,r=t.dataIdMap.get(a.dataId).id,u=t.makeOutput(a.shape,a.dtype),i=t.dataIdMap.get(u.dataId).id;return 0===n.util.sizeFromShape(u.shape)?u:(W(r,i),u)}}),s("Sin"),n.registerKernel({kernelName:"Slice",backendName:"wasm",kernelFunc:U}),n.registerKernel({kernelName:"Softmax",backendName:"wasm",setupFunc:function(e){H=e.wasm.cwrap("Softmax",null,["number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:{logits:a},attrs:{dim:r}}=e,u=t.dataIdMap.get(a.dataId).id,i=t.makeOutput(a.shape,a.dtype),s=t.dataIdMap.get(i.dataId).id,o=a.shape[r],l=n.util.sizeFromShape(a.shape)/o;return 0===n.util.sizeFromShape(i.shape)?i:(H(u,s,o,l),i)}}),n.registerKernel({kernelName:n.SplitV,backendName:"wasm",kernelFunc:function(e){const{inputs:t,attrs:a,backend:r}=e,{x:u}=t,{numOrSizeSplits:i,axis:s}=a,o=n.util.parseAxisParam(s,u.shape)[0];let l;l="number"==typeof i?new Array(i).fill(u.shape[o]/i):i;const p=new Array(u.shape.length).fill(0),d=u.shape.slice();return l.map(e=>{const n=[...d];n[o]=e;const t=U({inputs:{x:u},attrs:{begin:p,size:n},backend:r});return p[o]+=e,t})}}),s("Sqrt"),s("Square");let B,T;function L(e,n){return e(n={exports:{}},n.exports),n.exports}o("Sub",!0),n.registerKernel({kernelName:"Sum",backendName:"wasm",setupFunc:function(e){B=e.wasm.cwrap("Sum",null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:r}=e,{axes:u}=r,{x:i}=a,s=t.dataIdMap.get(i.dataId).id;n.backend_util.assertAxesAreInnerMostDims("sum",u,i.shape.length);const[o,l]=n.backend_util.computeOutAndReduceShapes(i.shape,u),p=n.util.sizeFromShape(l),d=t.makeOutput(o,i.dtype);if(0===n.util.sizeFromShape(i.shape))return d;const c=t.dataIdMap.get(d.dataId).id;return B(s,p,c),d}}),s("Tanh"),n.registerKernel({kernelName:"Tile",backendName:"wasm",setupFunc:function(e){T=e.wasm.cwrap("Tile",null,["number","array","number","array","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{x:u}=n,i=t.dataIdMap.get(u.dataId).id,{reps:s}=a,o=new Array(u.shape.length);for(let e=0;e<o.length;e++)o[e]=u.shape[e]*s[e];const l=new Uint8Array(new Int32Array(u.shape).buffer),p=new Uint8Array(new Int32Array(o).buffer),d=t.makeOutput(o,u.dtype),c=t.dataIdMap.get(d.dataId).id;return T(i,l,u.shape.length,p,o.length,r[d.dtype],c),d}}),n.registerKernel({kernelName:"Unpack",backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t,attrs:{axis:a}}=e,r=n.shape[a],u=n.shape.length,i=new Array(u-1);let s=0;for(let e=0;e<u;e++)e!==a&&(i[s++]=n.shape[e]);const o=new Array(r),l=new Array(u).fill(0),p=n.shape.slice();p[a]=1;for(let e=0;e<o.length;e++)l[a]=e,o[e]=U({inputs:{x:n},attrs:{begin:l,size:p},backend:t});return o.map(({dataId:e,dtype:n})=>({dataId:e,dtype:n,shape:i}))}}),n.registerKernel({kernelName:"ZerosLike",backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,a=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(a).fill(0),a}}),n.env().registerFlag("WASM_HAS_SIMD_SUPPORT",async()=>WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11])));var q=L((function(e,n){var r,u=(r="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(r=r||__filename),function(e){var n,u=void 0!==(e=e||{})?e:{},i={};for(n in u)u.hasOwnProperty(n)&&(i[n]=u[n]);var s=!1,o=!1,l=!1,p=!1;s="object"==typeof window,o="function"==typeof importScripts,l="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,p=!s&&!l&&!o;var d,c,m,f,b="";function h(e){return u.locateFile?u.locateFile(e,b):b+e}l?(b=o?t.dirname(b)+"/":__dirname+"/",d=function(e,n){return m||(m=a),f||(f=t),e=f.normalize(e),m.readFileSync(e,n?null:"utf8")},c=function(e){var n=d(e,!0);return n.buffer||(n=new Uint8Array(n)),v(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Pe))throw e})),process.on("unhandledRejection",se),u.inspect=function(){return"[Emscripten Module object]"}):p?("undefined"!=typeof read&&(d=function(e){return read(e)}),c=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(v("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(s||o)&&(o?b=self.location.href:document.currentScript&&(b=document.currentScript.src),r&&(b=r),b=0!==b.indexOf("blob:")?b.substr(0,b.lastIndexOf("/")+1):"",d=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},o&&(c=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}));var y,g,w=u.print||console.log.bind(console),_=u.printErr||console.warn.bind(console);for(n in i)i.hasOwnProperty(n)&&(u[n]=i[n]);i=null,u.arguments&&u.arguments,u.thisProgram&&u.thisProgram,u.quit&&u.quit,u.wasmBinary&&(y=u.wasmBinary),u.noExitRuntime&&u.noExitRuntime,"object"!=typeof WebAssembly&&_("no native wasm support detected");var I=new WebAssembly.Table({initial:108,maximum:108,element:"anyfunc"}),k=!1;function v(e,n){e||se("Assertion failed: "+n)}function M(e){var n=u["_"+e];return v(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function A(e,n,t,a,r){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);R(e,n=Ee(t),t)}return n},array:function(e){var n=Ee(e.length);return E(e,n),n}},i=M(e),s=[],o=0;if(a)for(var l=0;l<a.length;l++){var p=u[t[l]];p?(0===o&&(o=Re()),s[l]=p(a[l])):s[l]=a[l]}var d=i.apply(null,s);return d=function(e){return"string"===n?N(e):"boolean"===n?Boolean(e):e}(d),0!==o&&De(o),d}function S(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?M(e):function(){return A(e,n,t,arguments)}}var F="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function x(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&F)return F.decode(e.subarray(n,r));for(var u="";n<r;){var i=e[n++];if(128&i){var s=63&e[n++];if(192!=(224&i)){var o=63&e[n++];if((i=224==(240&i)?(15&i)<<12|s<<6|o:(7&i)<<18|s<<12|o<<6|63&e[n++])<65536)u+=String.fromCharCode(i);else{var l=i-65536;u+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else u+=String.fromCharCode((31&i)<<6|s)}else u+=String.fromCharCode(i)}return u}function N(e,n){return e?x(O,e,n):""}function C(e,n,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<e.length;++i){var s=e.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&e.charCodeAt(++i)),s<=127){if(t>=u)break;n[t++]=s}else if(s<=2047){if(t+1>=u)break;n[t++]=192|s>>6,n[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;n[t++]=224|s>>12,n[t++]=128|s>>6&63,n[t++]=128|63&s}else{if(t+3>=u)break;n[t++]=240|s>>18,n[t++]=128|s>>12&63,n[t++]=128|s>>6&63,n[t++]=128|63&s}}return n[t]=0,t-r}function R(e,n,t){return C(e,O,n,t)}function E(e,n){P.set(e,n)}var D,P,O,z,W=65536;function H(e,n){return e%n>0&&(e+=n-e%n),e}function U(e){D=e,u.HEAP8=P=new Int8Array(e),u.HEAP16=new Int16Array(e),u.HEAP32=z=new Int32Array(e),u.HEAPU8=O=new Uint8Array(e),u.HEAPU16=new Uint16Array(e),u.HEAPU32=new Uint32Array(e),u.HEAPF32=new Float32Array(e),u.HEAPF64=new Float64Array(e)}var B=5253952,T=10912,L=u.INITIAL_MEMORY||16777216;function q(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?u.dynCall_v(t):u.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n(u)}}(g=u.wasmMemory?u.wasmMemory:new WebAssembly.Memory({initial:L/W,maximum:2147483648/W}))&&(D=g.buffer),L=D.byteLength,U(D),z[T>>2]=B;var K=[],V=[],j=[],G=[];function $(){if(u.preRun)for("function"==typeof u.preRun&&(u.preRun=[u.preRun]);u.preRun.length;)J(u.preRun.shift());q(K)}function X(){q(V)}function Y(){q(j)}function Z(){if(u.postRun)for("function"==typeof u.postRun&&(u.postRun=[u.postRun]);u.postRun.length;)Q(u.postRun.shift());q(G)}function J(e){K.unshift(e)}function Q(e){G.unshift(e)}var ee=Math.ceil,ne=Math.floor,te=0,ae=null,re=null;function ue(e){te++,u.monitorRunDependencies&&u.monitorRunDependencies(te)}function ie(e){if(te--,u.monitorRunDependencies&&u.monitorRunDependencies(te),0==te&&(null!==ae&&(clearInterval(ae),ae=null),re)){var n=re;re=null,n()}}function se(e){throw u.onAbort&&u.onAbort(e),w(e+=""),_(e),k=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function oe(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}u.preloadedImages={},u.preloadedAudios={};var le="data:application/octet-stream;base64,";function pe(e){return oe(e,le)}var de="file://";function ce(e){return oe(e,de)}var me="tfjs-backend-wasm-simd.wasm";function fe(){try{if(y)return new Uint8Array(y);if(c)return c(me);throw"both async and sync fetching of the wasm failed"}catch(e){se(e)}}function be(){return y||!s&&!o||"function"!=typeof fetch||ce(me)?new Promise((function(e,n){e(fe())})):fetch(me,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+me+"'";return e.arrayBuffer()})).catch((function(){return fe()}))}function he(){var e={a:Fe};function n(e,n){var t=e.exports;u.asm=t,ie()}function t(e){n(e.instance)}function a(n){return be().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){_("failed to asynchronously prepare wasm: "+e),se(e)}))}if(ue(),u.instantiateWasm)try{return u.instantiateWasm(e,n)}catch(e){return _("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(y||"function"!=typeof WebAssembly.instantiateStreaming||pe(me)||ce(me)||"function"!=typeof fetch)return a(t);fetch(me,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){_("wasm streaming compile failed: "+e),_("falling back to ArrayBuffer instantiation"),a(t)}))}))}(),{}}function ye(){se()}function ge(e,n,t){O.copyWithin(e,n,n+t)}function we(){return O.length}function _e(e){try{return g.grow(e-D.byteLength+65535>>>16),U(g.buffer),1}catch(e){}}function Ie(e){e>>>=0;var n=we();if(e>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=n*(1+.2/t);if(a=Math.min(a,e+100663296),_e(Math.min(2147483648,H(Math.max(16777216,e,a),65536))))return!0}return!1}pe(me)||(me=h(me)),V.push({func:function(){Ce()}});var ke={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=ke.buffers[e];0===n||10===n?((1===e?w:_)(x(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return ke.varargs+=4,z[ke.varargs-4>>2]},getStr:function(e){return N(e)},get64:function(e,n){return e}};function ve(e){return 0}function Me(e,n,t,a,r){}function Ae(e,n,t,a){for(var r=0,u=0;u<t;u++){for(var i=z[n+8*u>>2],s=z[n+(8*u+4)>>2],o=0;o<s;o++)ke.printChar(e,O[i+o]);r+=s}return z[a>>2]=r,0}function Se(e){return(e=+e)>=0?+ne(e+.5):+ee(e-.5)}var Fe={a:ye,e:ge,f:Ie,g:ve,d:Me,c:Ae,memory:g,b:Se,table:I},xe=he();u.asm=xe;var Ne,Ce=u.___wasm_call_ctors=function(){return(Ce=u.___wasm_call_ctors=u.asm.h).apply(null,arguments)},Re=(u._init=function(){return(u._init=u.asm.i).apply(null,arguments)},u._register_tensor=function(){return(u._register_tensor=u.asm.j).apply(null,arguments)},u._dispose_data=function(){return(u._dispose_data=u.asm.k).apply(null,arguments)},u._dispose=function(){return(u._dispose=u.asm.l).apply(null,arguments)},u._Abs=function(){return(u._Abs=u.asm.m).apply(null,arguments)},u._Add=function(){return(u._Add=u.asm.n).apply(null,arguments)},u._AddN=function(){return(u._AddN=u.asm.o).apply(null,arguments)},u._ArgMax=function(){return(u._ArgMax=u.asm.p).apply(null,arguments)},u._AvgPool=function(){return(u._AvgPool=u.asm.q).apply(null,arguments)},u._BatchMatMul=function(){return(u._BatchMatMul=u.asm.r).apply(null,arguments)},u._ClipByValue=function(){return(u._ClipByValue=u.asm.s).apply(null,arguments)},u._Conv2D=function(){return(u._Conv2D=u.asm.t).apply(null,arguments)},u._Cos=function(){return(u._Cos=u.asm.u).apply(null,arguments)},u._CropAndResize=function(){return(u._CropAndResize=u.asm.v).apply(null,arguments)},u._DepthwiseConv2dNative=function(){return(u._DepthwiseConv2dNative=u.asm.w).apply(null,arguments)},u._Div=function(){return(u._Div=u.asm.x).apply(null,arguments)},u._Exp=function(){return(u._Exp=u.asm.y).apply(null,arguments)},u._FloorDiv=function(){return(u._FloorDiv=u.asm.z).apply(null,arguments)},u._FusedBatchNorm=function(){return(u._FusedBatchNorm=u.asm.A).apply(null,arguments)},u._FusedConv2D=function(){return(u._FusedConv2D=u.asm.B).apply(null,arguments)},u._FusedDepthwiseConv2D=function(){return(u._FusedDepthwiseConv2D=u.asm.C).apply(null,arguments)},u._Gather=function(){return(u._Gather=u.asm.D).apply(null,arguments)},u._GatherNd=function(){return(u._GatherNd=u.asm.E).apply(null,arguments)},u._Greater=function(){return(u._Greater=u.asm.F).apply(null,arguments)},u._GreaterEqual=function(){return(u._GreaterEqual=u.asm.G).apply(null,arguments)},u._Less=function(){return(u._Less=u.asm.H).apply(null,arguments)},u._LessEqual=function(){return(u._LessEqual=u.asm.I).apply(null,arguments)},u._Log=function(){return(u._Log=u.asm.J).apply(null,arguments)},u._LogicalAnd=function(){return(u._LogicalAnd=u.asm.K).apply(null,arguments)},u._Max=function(){return(u._Max=u.asm.L).apply(null,arguments)},u._MaxPool=function(){return(u._MaxPool=u.asm.M).apply(null,arguments)},u._Maximum=function(){return(u._Maximum=u.asm.N).apply(null,arguments)},u._Min=function(){return(u._Min=u.asm.O).apply(null,arguments)},u._Minimum=function(){return(u._Minimum=u.asm.P).apply(null,arguments)},u._Multiply=function(){return(u._Multiply=u.asm.Q).apply(null,arguments)},u._Neg=function(){return(u._Neg=u.asm.R).apply(null,arguments)},u._NonMaxSuppressionV3=function(){return(u._NonMaxSuppressionV3=u.asm.S).apply(null,arguments)},u._NonMaxSuppressionV5=function(){return(u._NonMaxSuppressionV5=u.asm.T).apply(null,arguments)},u._NotEqual=function(){return(u._NotEqual=u.asm.U).apply(null,arguments)},u._PadV2=function(){return(u._PadV2=u.asm.V).apply(null,arguments)},u._Pow=function(){return(u._Pow=u.asm.W).apply(null,arguments)},u._Prelu=function(){return(u._Prelu=u.asm.X).apply(null,arguments)},u._Relu=function(){return(u._Relu=u.asm.Y).apply(null,arguments)},u._Relu6=function(){return(u._Relu6=u.asm.Z).apply(null,arguments)},u._ResizeBilinear=function(){return(u._ResizeBilinear=u.asm._).apply(null,arguments)},u._Rsqrt=function(){return(u._Rsqrt=u.asm.$).apply(null,arguments)},u._ScatterNd=function(){return(u._ScatterNd=u.asm.aa).apply(null,arguments)},u._SelectV2=function(){return(u._SelectV2=u.asm.ba).apply(null,arguments)},u._Sigmoid=function(){return(u._Sigmoid=u.asm.ca).apply(null,arguments)},u._Sin=function(){return(u._Sin=u.asm.da).apply(null,arguments)},u._Softmax=function(){return(u._Softmax=u.asm.ea).apply(null,arguments)},u._Sqrt=function(){return(u._Sqrt=u.asm.fa).apply(null,arguments)},u._Square=function(){return(u._Square=u.asm.ga).apply(null,arguments)},u._Sub=function(){return(u._Sub=u.asm.ha).apply(null,arguments)},u._Sum=function(){return(u._Sum=u.asm.ia).apply(null,arguments)},u._Tanh=function(){return(u._Tanh=u.asm.ja).apply(null,arguments)},u._Tile=function(){return(u._Tile=u.asm.ka).apply(null,arguments)},u._Transpose=function(){return(u._Transpose=u.asm.la).apply(null,arguments)},u.__FusedMatMul=function(){return(u.__FusedMatMul=u.asm.ma).apply(null,arguments)},u._malloc=function(){return(u._malloc=u.asm.na).apply(null,arguments)},u._free=function(){return(u._free=u.asm.oa).apply(null,arguments)},u.stackSave=function(){return(Re=u.stackSave=u.asm.pa).apply(null,arguments)}),Ee=u.stackAlloc=function(){return(Ee=u.stackAlloc=u.asm.qa).apply(null,arguments)},De=u.stackRestore=function(){return(De=u.stackRestore=u.asm.ra).apply(null,arguments)};function Pe(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Oe(e){function n(){Ne||(Ne=!0,u.calledRun=!0,k||(X(),Y(),u.onRuntimeInitialized&&u.onRuntimeInitialized(),Z()))}te>0||($(),te>0||(u.setStatus?(u.setStatus("Running..."),setTimeout((function(){setTimeout((function(){u.setStatus("")}),1),n()}),1)):n()))}if(u.dynCall_vi=function(){return(u.dynCall_vi=u.asm.sa).apply(null,arguments)},u.dynCall_v=function(){return(u.dynCall_v=u.asm.ta).apply(null,arguments)},u.asm=xe,u.cwrap=S,u.then=function(e){if(Ne)e(u);else{var n=u.onRuntimeInitialized;u.onRuntimeInitialized=function(){n&&n(),e(u)}}return u},re=function e(){Ne||Oe(),Ne||(re=e)},u.run=Oe,u.preInit)for("function"==typeof u.preInit&&(u.preInit=[u.preInit]);u.preInit.length>0;)u.preInit.pop()();return Oe(),e});e.exports=u})),K=L((function(e,n){var r,u=(r="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(r=r||__filename),function(e){var n,u=void 0!==(e=e||{})?e:{},i={};for(n in u)u.hasOwnProperty(n)&&(i[n]=u[n]);var s=!1,o=!1,l=!1,p=!1;s="object"==typeof window,o="function"==typeof importScripts,l="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,p=!s&&!l&&!o;var d,c,m,f,b="";function h(e){return u.locateFile?u.locateFile(e,b):b+e}l?(b=o?t.dirname(b)+"/":__dirname+"/",d=function(e,n){return m||(m=a),f||(f=t),e=f.normalize(e),m.readFileSync(e,n?null:"utf8")},c=function(e){var n=d(e,!0);return n.buffer||(n=new Uint8Array(n)),v(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Pe))throw e})),process.on("unhandledRejection",se),u.inspect=function(){return"[Emscripten Module object]"}):p?("undefined"!=typeof read&&(d=function(e){return read(e)}),c=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(v("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(s||o)&&(o?b=self.location.href:document.currentScript&&(b=document.currentScript.src),r&&(b=r),b=0!==b.indexOf("blob:")?b.substr(0,b.lastIndexOf("/")+1):"",d=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},o&&(c=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}));var y,g,w=u.print||console.log.bind(console),_=u.printErr||console.warn.bind(console);for(n in i)i.hasOwnProperty(n)&&(u[n]=i[n]);i=null,u.arguments&&u.arguments,u.thisProgram&&u.thisProgram,u.quit&&u.quit,u.wasmBinary&&(y=u.wasmBinary),u.noExitRuntime&&u.noExitRuntime,"object"!=typeof WebAssembly&&_("no native wasm support detected");var I=new WebAssembly.Table({initial:124,maximum:124,element:"anyfunc"}),k=!1;function v(e,n){e||se("Assertion failed: "+n)}function M(e){var n=u["_"+e];return v(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function A(e,n,t,a,r){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);R(e,n=Ee(t),t)}return n},array:function(e){var n=Ee(e.length);return E(e,n),n}},i=M(e),s=[],o=0;if(a)for(var l=0;l<a.length;l++){var p=u[t[l]];p?(0===o&&(o=Re()),s[l]=p(a[l])):s[l]=a[l]}var d=i.apply(null,s);return d=function(e){return"string"===n?N(e):"boolean"===n?Boolean(e):e}(d),0!==o&&De(o),d}function S(e,n,t,a){var r=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&r&&!a?M(e):function(){return A(e,n,t,arguments)}}var F="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function x(e,n,t){for(var a=n+t,r=n;e[r]&&!(r>=a);)++r;if(r-n>16&&e.subarray&&F)return F.decode(e.subarray(n,r));for(var u="";n<r;){var i=e[n++];if(128&i){var s=63&e[n++];if(192!=(224&i)){var o=63&e[n++];if((i=224==(240&i)?(15&i)<<12|s<<6|o:(7&i)<<18|s<<12|o<<6|63&e[n++])<65536)u+=String.fromCharCode(i);else{var l=i-65536;u+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else u+=String.fromCharCode((31&i)<<6|s)}else u+=String.fromCharCode(i)}return u}function N(e,n){return e?x(O,e,n):""}function C(e,n,t,a){if(!(a>0))return 0;for(var r=t,u=t+a-1,i=0;i<e.length;++i){var s=e.charCodeAt(i);if(s>=55296&&s<=57343&&(s=65536+((1023&s)<<10)|1023&e.charCodeAt(++i)),s<=127){if(t>=u)break;n[t++]=s}else if(s<=2047){if(t+1>=u)break;n[t++]=192|s>>6,n[t++]=128|63&s}else if(s<=65535){if(t+2>=u)break;n[t++]=224|s>>12,n[t++]=128|s>>6&63,n[t++]=128|63&s}else{if(t+3>=u)break;n[t++]=240|s>>18,n[t++]=128|s>>12&63,n[t++]=128|s>>6&63,n[t++]=128|63&s}}return n[t]=0,t-r}function R(e,n,t){return C(e,O,n,t)}function E(e,n){P.set(e,n)}var D,P,O,z,W=65536;function H(e,n){return e%n>0&&(e+=n-e%n),e}function U(e){D=e,u.HEAP8=P=new Int8Array(e),u.HEAP16=new Int16Array(e),u.HEAP32=z=new Int32Array(e),u.HEAPU8=O=new Uint8Array(e),u.HEAPU16=new Uint16Array(e),u.HEAPU32=new Uint32Array(e),u.HEAPF32=new Float32Array(e),u.HEAPF64=new Float64Array(e)}var B=5254224,T=11184,L=u.INITIAL_MEMORY||16777216;function q(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?u.dynCall_v(t):u.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n(u)}}(g=u.wasmMemory?u.wasmMemory:new WebAssembly.Memory({initial:L/W,maximum:2147483648/W}))&&(D=g.buffer),L=D.byteLength,U(D),z[T>>2]=B;var K=[],V=[],j=[],G=[];function $(){if(u.preRun)for("function"==typeof u.preRun&&(u.preRun=[u.preRun]);u.preRun.length;)J(u.preRun.shift());q(K)}function X(){q(V)}function Y(){q(j)}function Z(){if(u.postRun)for("function"==typeof u.postRun&&(u.postRun=[u.postRun]);u.postRun.length;)Q(u.postRun.shift());q(G)}function J(e){K.unshift(e)}function Q(e){G.unshift(e)}var ee=Math.ceil,ne=Math.floor,te=0,ae=null,re=null;function ue(e){te++,u.monitorRunDependencies&&u.monitorRunDependencies(te)}function ie(e){if(te--,u.monitorRunDependencies&&u.monitorRunDependencies(te),0==te&&(null!==ae&&(clearInterval(ae),ae=null),re)){var n=re;re=null,n()}}function se(e){throw u.onAbort&&u.onAbort(e),w(e+=""),_(e),k=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function oe(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}u.preloadedImages={},u.preloadedAudios={};var le="data:application/octet-stream;base64,";function pe(e){return oe(e,le)}var de="file://";function ce(e){return oe(e,de)}var me="tfjs-backend-wasm.wasm";function fe(){try{if(y)return new Uint8Array(y);if(c)return c(me);throw"both async and sync fetching of the wasm failed"}catch(e){se(e)}}function be(){return y||!s&&!o||"function"!=typeof fetch||ce(me)?new Promise((function(e,n){e(fe())})):fetch(me,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+me+"'";return e.arrayBuffer()})).catch((function(){return fe()}))}function he(){var e={a:Fe};function n(e,n){var t=e.exports;u.asm=t,ie()}function t(e){n(e.instance)}function a(n){return be().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){_("failed to asynchronously prepare wasm: "+e),se(e)}))}if(ue(),u.instantiateWasm)try{return u.instantiateWasm(e,n)}catch(e){return _("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(y||"function"!=typeof WebAssembly.instantiateStreaming||pe(me)||ce(me)||"function"!=typeof fetch)return a(t);fetch(me,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){_("wasm streaming compile failed: "+e),_("falling back to ArrayBuffer instantiation"),a(t)}))}))}(),{}}function ye(){se()}function ge(e,n,t){O.copyWithin(e,n,n+t)}function we(){return O.length}function _e(e){try{return g.grow(e-D.byteLength+65535>>>16),U(g.buffer),1}catch(e){}}function Ie(e){e>>>=0;var n=we();if(e>2147483648)return!1;for(var t=1;t<=4;t*=2){var a=n*(1+.2/t);if(a=Math.min(a,e+100663296),_e(Math.min(2147483648,H(Math.max(16777216,e,a),65536))))return!0}return!1}pe(me)||(me=h(me)),V.push({func:function(){Ce()}});var ke={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=ke.buffers[e];0===n||10===n?((1===e?w:_)(x(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return ke.varargs+=4,z[ke.varargs-4>>2]},getStr:function(e){return N(e)},get64:function(e,n){return e}};function ve(e){return 0}function Me(e,n,t,a,r){}function Ae(e,n,t,a){for(var r=0,u=0;u<t;u++){for(var i=z[n+8*u>>2],s=z[n+(8*u+4)>>2],o=0;o<s;o++)ke.printChar(e,O[i+o]);r+=s}return z[a>>2]=r,0}function Se(e){return(e=+e)>=0?+ne(e+.5):+ee(e-.5)}var Fe={a:ye,e:ge,f:Ie,g:ve,d:Me,c:Ae,memory:g,b:Se,table:I},xe=he();u.asm=xe;var Ne,Ce=u.___wasm_call_ctors=function(){return(Ce=u.___wasm_call_ctors=u.asm.h).apply(null,arguments)},Re=(u._init=function(){return(u._init=u.asm.i).apply(null,arguments)},u._register_tensor=function(){return(u._register_tensor=u.asm.j).apply(null,arguments)},u._dispose_data=function(){return(u._dispose_data=u.asm.k).apply(null,arguments)},u._dispose=function(){return(u._dispose=u.asm.l).apply(null,arguments)},u._Abs=function(){return(u._Abs=u.asm.m).apply(null,arguments)},u._Add=function(){return(u._Add=u.asm.n).apply(null,arguments)},u._AddN=function(){return(u._AddN=u.asm.o).apply(null,arguments)},u._ArgMax=function(){return(u._ArgMax=u.asm.p).apply(null,arguments)},u._AvgPool=function(){return(u._AvgPool=u.asm.q).apply(null,arguments)},u._BatchMatMul=function(){return(u._BatchMatMul=u.asm.r).apply(null,arguments)},u._ClipByValue=function(){return(u._ClipByValue=u.asm.s).apply(null,arguments)},u._Conv2D=function(){return(u._Conv2D=u.asm.t).apply(null,arguments)},u._Cos=function(){return(u._Cos=u.asm.u).apply(null,arguments)},u._CropAndResize=function(){return(u._CropAndResize=u.asm.v).apply(null,arguments)},u._DepthwiseConv2dNative=function(){return(u._DepthwiseConv2dNative=u.asm.w).apply(null,arguments)},u._Div=function(){return(u._Div=u.asm.x).apply(null,arguments)},u._Exp=function(){return(u._Exp=u.asm.y).apply(null,arguments)},u._FloorDiv=function(){return(u._FloorDiv=u.asm.z).apply(null,arguments)},u._FusedBatchNorm=function(){return(u._FusedBatchNorm=u.asm.A).apply(null,arguments)},u._FusedConv2D=function(){return(u._FusedConv2D=u.asm.B).apply(null,arguments)},u._FusedDepthwiseConv2D=function(){return(u._FusedDepthwiseConv2D=u.asm.C).apply(null,arguments)},u._Gather=function(){return(u._Gather=u.asm.D).apply(null,arguments)},u._GatherNd=function(){return(u._GatherNd=u.asm.E).apply(null,arguments)},u._Greater=function(){return(u._Greater=u.asm.F).apply(null,arguments)},u._GreaterEqual=function(){return(u._GreaterEqual=u.asm.G).apply(null,arguments)},u._Less=function(){return(u._Less=u.asm.H).apply(null,arguments)},u._LessEqual=function(){return(u._LessEqual=u.asm.I).apply(null,arguments)},u._Log=function(){return(u._Log=u.asm.J).apply(null,arguments)},u._LogicalAnd=function(){return(u._LogicalAnd=u.asm.K).apply(null,arguments)},u._Max=function(){return(u._Max=u.asm.L).apply(null,arguments)},u._MaxPool=function(){return(u._MaxPool=u.asm.M).apply(null,arguments)},u._Maximum=function(){return(u._Maximum=u.asm.N).apply(null,arguments)},u._Min=function(){return(u._Min=u.asm.O).apply(null,arguments)},u._Minimum=function(){return(u._Minimum=u.asm.P).apply(null,arguments)},u._Multiply=function(){return(u._Multiply=u.asm.Q).apply(null,arguments)},u._Neg=function(){return(u._Neg=u.asm.R).apply(null,arguments)},u._NonMaxSuppressionV3=function(){return(u._NonMaxSuppressionV3=u.asm.S).apply(null,arguments)},u._NonMaxSuppressionV5=function(){return(u._NonMaxSuppressionV5=u.asm.T).apply(null,arguments)},u._NotEqual=function(){return(u._NotEqual=u.asm.U).apply(null,arguments)},u._PadV2=function(){return(u._PadV2=u.asm.V).apply(null,arguments)},u._Pow=function(){return(u._Pow=u.asm.W).apply(null,arguments)},u._Prelu=function(){return(u._Prelu=u.asm.X).apply(null,arguments)},u._Relu=function(){return(u._Relu=u.asm.Y).apply(null,arguments)},u._Relu6=function(){return(u._Relu6=u.asm.Z).apply(null,arguments)},u._ResizeBilinear=function(){return(u._ResizeBilinear=u.asm._).apply(null,arguments)},u._Rsqrt=function(){return(u._Rsqrt=u.asm.$).apply(null,arguments)},u._ScatterNd=function(){return(u._ScatterNd=u.asm.aa).apply(null,arguments)},u._SelectV2=function(){return(u._SelectV2=u.asm.ba).apply(null,arguments)},u._Sigmoid=function(){return(u._Sigmoid=u.asm.ca).apply(null,arguments)},u._Sin=function(){return(u._Sin=u.asm.da).apply(null,arguments)},u._Softmax=function(){return(u._Softmax=u.asm.ea).apply(null,arguments)},u._Sqrt=function(){return(u._Sqrt=u.asm.fa).apply(null,arguments)},u._Square=function(){return(u._Square=u.asm.ga).apply(null,arguments)},u._Sub=function(){return(u._Sub=u.asm.ha).apply(null,arguments)},u._Sum=function(){return(u._Sum=u.asm.ia).apply(null,arguments)},u._Tanh=function(){return(u._Tanh=u.asm.ja).apply(null,arguments)},u._Tile=function(){return(u._Tile=u.asm.ka).apply(null,arguments)},u._Transpose=function(){return(u._Transpose=u.asm.la).apply(null,arguments)},u.__FusedMatMul=function(){return(u.__FusedMatMul=u.asm.ma).apply(null,arguments)},u._malloc=function(){return(u._malloc=u.asm.na).apply(null,arguments)},u._free=function(){return(u._free=u.asm.oa).apply(null,arguments)},u.stackSave=function(){return(Re=u.stackSave=u.asm.pa).apply(null,arguments)}),Ee=u.stackAlloc=function(){return(Ee=u.stackAlloc=u.asm.qa).apply(null,arguments)},De=u.stackRestore=function(){return(De=u.stackRestore=u.asm.ra).apply(null,arguments)};function Pe(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Oe(e){function n(){Ne||(Ne=!0,u.calledRun=!0,k||(X(),Y(),u.onRuntimeInitialized&&u.onRuntimeInitialized(),Z()))}te>0||($(),te>0||(u.setStatus?(u.setStatus("Running..."),setTimeout((function(){setTimeout((function(){u.setStatus("")}),1),n()}),1)):n()))}if(u.dynCall_vi=function(){return(u.dynCall_vi=u.asm.sa).apply(null,arguments)},u.dynCall_v=function(){return(u.dynCall_v=u.asm.ta).apply(null,arguments)},u.asm=xe,u.cwrap=S,u.then=function(e){if(Ne)e(u);else{var n=u.onRuntimeInitialized;u.onRuntimeInitialized=function(){n&&n(),e(u)}}return u},re=function e(){Ne||Oe(),Ne||(re=e)},u.run=Oe,u.preInit)for("function"==typeof u.preInit&&(u.preInit=[u.preInit]);u.preInit.length>0;)u.preInit.pop()();return Oe(),e});e.exports=u}));class V extends n.KernelBackend{constructor(e){super(),this.wasm=e,this.dataIdNextNumber=1,this.wasm.tfjs.init(),this.dataIdMap=new n.DataStorage(this,n.engine())}write(e,n,t){const a={};return this.move(a,e,n,t),a}numDataIds(){return this.dataIdMap.numDataIds()}async time(e){const t=n.util.now();return e(),{kernelMs:n.util.now()-t}}move(e,t,a,r){const u=this.dataIdNextNumber++;if("string"===r){const n=t;return void this.dataIdMap.set(e,{id:u,stringBytes:n,shape:a,dtype:r,memoryOffset:null})}const i=n.util.sizeFromShape(a),s=i*n.util.bytesPerElement(r),o=this.wasm._malloc(s);this.dataIdMap.set(e,{id:u,memoryOffset:o,shape:a,dtype:r}),this.wasm.tfjs.registerTensor(u,i,o),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,t.byteOffset,s),o)}async read(e){return this.readSync(e)}readSync(e){const{memoryOffset:t,dtype:a,shape:r,stringBytes:u}=this.dataIdMap.get(e);return"string"===a?u:function(e,n){switch(n){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error(`Unknown dtype ${n}`)}}(this.wasm.HEAPU8.slice(t,t+n.util.sizeFromShape(r)*n.util.bytesPerElement(a)).buffer,a)}disposeData(e){const n=this.dataIdMap.get(e);this.wasm._free(n.memoryOffset),this.wasm.tfjs.disposeData(n.id),this.dataIdMap.delete(e)}floatPrecision(){return 32}getMemoryOffset(e){return this.dataIdMap.get(e).memoryOffset}dispose(){this.wasm.tfjs.dispose(),this.wasm=null}memory(){return{unreliable:!1}}makeOutput(e,t,a){let r;if(null==a)r=this.write(null,e,t);else{r={};const u=this.dataIdNextNumber++;this.dataIdMap.set(r,{id:u,memoryOffset:a,shape:e,dtype:t});const i=n.util.sizeFromShape(e);this.wasm.tfjs.registerTensor(u,i,a)}return{dataId:r,shape:e,dtype:t}}typedArrayFromHeap({shape:e,dtype:t,dataId:a}){const r=this.wasm.HEAPU8.buffer,{memoryOffset:u}=this.dataIdMap.get(a),i=n.util.sizeFromShape(e);switch(t){case"float32":return new Float32Array(r,u,i);case"int32":return new Int32Array(r,u,i);case"bool":return new Uint8Array(r,u,i);default:throw new Error(`Uknown dtype ${t}`)}}}n.registerBackend("wasm",async()=>{const{wasm:e}=await async function(){const e=await n.env().getAsync("WASM_HAS_SIMD_SUPPORT");return new Promise((t,a)=>{const r={};null!=j&&(r.locateFile=(e,n)=>e.endsWith(".wasm")?j:n+e,$&&(r.instantiateWasm=function(e){return(t,a)=>(n.util.fetch(e,{credentials:"same-origin"}).then(n=>{n.ok||t.env.a(`failed to load wasm binary file at '${e}'`),n.arrayBuffer().then(e=>{WebAssembly.instantiate(e,t).then(e=>{a(e.instance)})})}),{})}(j)));const u=e?q(r):K(r);u.tfjs={init:u.cwrap("init",null,[]),registerTensor:u.cwrap("register_tensor",null,["number","number","number"]),disposeData:u.cwrap("dispose_data",null,["number"]),dispose:u.cwrap("dispose",null,[])};let i=!1;u.onRuntimeInitialized=()=>{i=!0,G=!1,t({wasm:u})},u.onAbort=()=>{if(i)return;if(G)return;G=!0;a({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}})}();return new V(e)},2);let j=null,G=!1,$=!1;e.BackendWasm=V,e.setWasmPath=function(e,n=!1){if(G)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");j=e,$=n},e.version_wasm="2.0.1",Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-backend-wasm.min.js.map
